
use "$data\IAPR42FL_clean.DTA",clear

*********************
*keeping only l'andrah pradesh
keep if hv024==2

***************
*pre 76 areas

*Region A: throughout the state
gen rega = 1

*Region B : 
*Districts of Srikakkulam, Visakhapatnam, East Godavari, West Godavari, Krishna, Guntur, Ongole, Nellore,
*Chittoor, Cuddapah, Anantapur & Kurnool

*SRIKAKULAM
gen regb=0
replace regb=1 if sdist==1
*VIZIANAGARAM (created from Srikakulam)
replace regb=1 if sdist==2
*VISAKHAPATNAM
replace regb=1 if sdist==3
*EAST GODAVARI
replace regb=1 if sdist==4
*WEST GODAVARI
replace regb=1 if sdist==5
*KRISHNA
replace regb=1 if sdist==6
*GUNTUR
replace regb=1 if sdist==7
*PRAKASAM (new name of Ongole)
replace regb=1 if sdist==8
*NELLORE
replace regb=1 if sdist==9
*CHITTOOR
replace regb=1 if sdist==10
*CUDDAPAH
replace regb=1 if sdist==11
*ANANTAPUR
replace regb=1 if sdist==12
*KURNOOL
replace regb=1 if sdist==13


*Region C :
*districts of Mahbubnagar, Hyderabad, Medak, Nizamabad, Adilabad, Karimnagar, Warangal, Khamman, & Nalgoda
gen regc=0
*MAHBUBNAGAR
replace regc=1 if sdist==14
*RANGAREDDY created from Hyderabad
replace regc=1 if sdist==15
*HYDERABAD
replace regc=1 if sdist==16
*MEDAK
replace regc=1 if sdist==17
*NIZAMABAD
replace regc=1 if sdist==18
*ADILABAD
replace regc=1 if sdist==19
*KARIMNAGAR
replace regc=1 if sdist==20
*WARANGAL
replace regc=1 if sdist==21
*KHAMMAM
replace regc=1 if sdist==22
*NALGONDA
replace regc=1 if sdist==23


gen reg    = 1 if regb
replace reg = 2 if regc
replace reg = 3 if  regb == 0 & regc == 0

***************
*  SC Coding  *
***************

gen sc76=0
gen sc77=0
replace caste_clean = caste if caste_clean==""


*Adi Andhra
replace sc76=1 if caste_clean=="ADI ANDHRA" & regb
*Adi Dravida, but also synonym to Mala
replace sc76=1 if caste_clean=="ADI DRAVIDA" & regb
*Anamuk
*Aray Mala
*Arundhatiya
*Arwa Mala
*Bariki
*Bavuri
*Beda Jangam, Budga Jangam
replace sc76=1 if caste_clean=="BUDGA JANGAM" & regc
*Bindla
*Byagara
*Chachati
*Chalavadi
*Chamar, Mochi, Muchi
replace sc76=1 if caste_clean=="CHAMAR" & rega
*Chambhar
*Chandala
*Dakkal, Dokkalwar
*Dandasi
*Dhor
*Dom, Dombara, Padi, Pano
*Ellamalawar, Yellammalawandlu
*Ghasi, Haddi, Relli Chachandi
*Godagali
*Godari
replace sc76=1 if caste_clean=="GODARI" & regb
*Gosangi
*Holeya
*Holeya Dasari
*Jaggali
*Jambuvulu
*Kolupulvandlu
*Madasi Kuruva, Madari Kuruva
*Madiga
replace sc76=1 if caste_clean=="MADIGA" & rega
*Magida Dasu, Mashteen
*Mahar
*Mala
replace sc76=1 if caste_clean=="MALA"
*Mala Dasari
replace sc76=1 if caste_clean=="MALADASARI" & regc
*Mala Dasu
replace sc76=1 if caste_clean=="MALA DASU" & regb
*Mala Hannai
*Malajangam
*Mala Masti
*Mala Sale, Nektani
*Mala Sanyasi
*Mang
*Mang Garodi
*Manne
*Mashti
*Matangi
*Mehtar
*Mitha Ayyalvar
*Mundala
*Paky, Moti, Thoti
*Pambada, Pambanda
*Pamidi
*Panchama,Pariah
*Relli
replace sc76=1 if caste_clean=="RELLI" & regb
*Samagara
*Samban
*Sapru
*Sindhollu, chindholu

foreach X in "ADI ANDHRA" "ADI DRAVIDA" CHAMAR GODARI MADIGA MALADASARI "MALA DASU" RELLI {
	replace sc77=1 if sc76==0 & caste_clean=="`X'"
}

drop SRNo Code Doubtful master31_Guilhem Source Generic Typo Note Code_dhs1 Code2 Religion coded_1931 dhs1_coded dhs1_guilhem 
saveold "$output\andrah_arra.dta",replace
