
use "$data\IAPR42FL_clean.DTA",clear

*******************************
*keeping only Bihar
keep if hv024==4

***************
*pre 76 reservation areas
*Region A: Patna, Shahabad, Gaya and Palamau
*Patna becomes Patna and Nalanda
*Shahabad becomes Bhojpur, Buxar, Rohtas and Kaimur (Bhabua) *Buxar and Kaimur (Bhabua) created in 2001 so not in DHS
*Gaya becomes Gaya, Jehanabad, Nawada and Aurangabad
*Palamau becomes Palamu and Garhwa* Gharwa created oin 2001 so not in DHS
gen rega=0
*Patna
replace rega=1 if sdist==1
*Nalanda/Bisharsharif
replace rega=1 if sdist==2
*Bhojpur
replace rega=1 if sdist==3
* Rohtas
replace rega=1 if sdist==4
*Gaya
replace rega=1 if sdist==7
*Jehanabad
replace rega=1 if sdist==6
*Nawada
replace rega=1 if sdist==8
*Aurangabad
replace rega=1 if sdist==5
*Palamau
replace rega=1 if sdist==35


*Region B: Monghyr, Bhagalpur, Palamau and Purnea districts, Patna and Tirhut divisions
*Tirhut division according to wikipedia: Bettiah/Pashin Champaran, Motihari/Purba Chamaparan, Muzzafarpur, Sitamarhi, Sheohar (2001), Vaishali
*Patna division: Patana, Nalanda/Bisharsharif, Bhojpur/Arrah,  Rohtas/Sasaram; Buxar (2001); Kaimur / Bhabhua (2001) district., 
*Monghyr becomes Munger, Lakhisarai, Sheikhpura, Jamui, Khagaria and Begusarai
*Bhagalpur becomes Bhagalpur and Banka* Banka created in 2001 so not in DHS
*Palamau becomes Palamu and Garhwa* Gharwa created oin 2001 so not in DHS
*Purnea becomes Purnia, Araria, Kishanganj and Katihar


gen regb=0
*Bhagalpur
replace regb=1 if sdist==27
*Palamu
replace regb=1 if sdist==35
*Purnea
replace regb=1 if sdist==23
*Araria
replace regb=1 if sdist==41
*Kishanganj
replace regb=1 if sdist==42
*Katihar
replace regb=1 if sdist==24
*Bettiah/Pashin Champaran
replace regb=1 if sdist==12
*Motihari/Purba chamaparan
replace regb=1 if sdist==13
*Muzzafarpur
replace regb=1 if sdist==15
*Sitamarhi
replace regb=1 if sdist==14
*Vaishali
replace regb=1 if sdist==16
*Patna
replace regb=1 if sdist==1
*Nalanda/Bisharsharif
replace regb=1 if sdist==2
*Bhojpur/Arrah
replace regb=1 if sdist==3
*Rohtas/Sasaram
replace regb=1 if sdist==4

gen     reg=1 if (rega|regb)
replace reg=2 if (rega==0 & regb==0)

***************************
***  SC coding 		    ***
***************************
gen sc76=0
gen sc77=0

*Bantar
replace sc76=1 if caste_clean=="BATAR"
*Bauri
replace sc76=1 if caste_clean=="BAURI"
*Bhogta
replace sc76=1 if caste_clean=="BHOKTA"
*Bhuiya
replace sc76=1 if caste_clean=="BHUIYA" & rega==1
*Bhumij
replace sc76=1 if caste_clean=="BHUMIJ" & regb==1
*Chamar, Mochi, Chamar-Rabidas, Chamar Ravidas, Chamar Rohidas, Charmarkar
replace sc76=1 if caste_clean=="CHAMAR"
*Chaupal
replace sc76=1 if caste_clean=="CHAUPAL"
*Dabgar
*Dhobi, Rajak
replace sc76=1 if caste_clean=="DHOBI"
*Dom, Dhangad, Bansphor, Dharikar, Dharkar, Domra
replace sc76=1 if caste_clean=="DOM"
*Dusadh, Dhari, Dharhi
replace sc76=1 if caste_clean=="DUSADH"
*Ghasi
replace sc76=1 if caste_clean=="GHASI"
*Halalkhor
replace sc76=1 if caste_clean=="HALKHOR"
*Hari, Mehtar, Bhangi
*Kanjar
*Kurariar
*Lalbegi
*Mushar
replace sc76=1 if caste_clean=="MUSAHAR"		
*Nat			 
replace sc76=1 if caste_clean=="NAT"
*Pan, Sawasi, Panr
*Pasi
replace sc76=1 if caste_clean=="PASI"
*Rajwar
replace sc76=1 if caste_clean=="RAJWAR"
*Turi
replace sc76=1 if caste_clean=="TURI"



foreach X in BATAR BAURI BHOKTA BHUIYA CHAMAR CHAUPAL DHOBI DOM DUSADH GHASI HALKHOR MUSAHAR NAT PASI RAJWAR TURI {
 replace sc77=1 if sc76==0 & caste_clean=="`X'" 
 }
 
 drop SRNo Code Doubtful master31_Guilhem Source Generic Typo Note Code_dhs1 Code2 Religion coded_1931 dhs1_coded dhs1_guilhem 
saveold "$output\bihar_arra.dta",replace

