use "$data\IAPR42FL_clean.DTA",clear

*********************
*keeping only Gujarat
keep if hv024==6

***************
*pre 76 areas

*Region A : 
*Districts of Banas Kantha, Sabar Kantha,
*Mahesana, Gandhinagar, Ahmadabad, Kheda, Panch Mahals, Vadodara, Bharacuh, Surat, Valsad and the Dangs

gen rega=0
*BANASKANTHA
replace rega=1 if sdist==8
*SABARKANTHA
replace rega=1 if sdist==9
*MAHESANA
replace rega=1 if sdist==10
*GANDHINAGAR
replace rega=1 if sdist==11
*AHMADABAD
replace rega=1 if sdist==12
*KHEDA
replace rega=1 if sdist==13
*PANCHMAHALS
replace rega=1 if sdist==14
*VADODARA
replace rega=1 if sdist==15
*BHARUCH
replace rega=1 if sdist==16
*SURAT
replace rega=1 if sdist==17
*VALSAD
replace rega=1 if sdist==18
*DANGS
replace rega=1 if sdist==19

*Region B: districts of the Dangs and Umb taluka of Valsad district
gen regb=0
replace regb=1 if (sdist==19|sdist==18)

*Region C :
*districts of Jamnagar, Rajkot, Surendranagar, Bhavnagar, Amreli and Junagadh
gen regc=0
*JAMNAGAR
replace regc=1 if sdist==1
*RAJKOT
replace regc=1 if sdist==2
*SURENDRANAGAR
replace regc=1 if sdist==3
*BHAVNAGAR
replace regc=1 if sdist==4
*AMRELI
replace regc=1 if sdist==5
*JUNAGADH
replace regc=1 if sdist==6

*Region D: district of Kutch
gen regd=0
replace regd=1 if sdist==7

*Region E: Dang district
gen rege=0
replace rege=1 if sdist==19

* Region F Also, certain tribes are reserved only in the NEsses of the forests of Alech, Bharada and Gir
*Gir is located in Junagadh district
gen regf=0
replace regf=1 if sdist==6

*Region G: Surendranagar district
gen regg=0
replace regg=1 if sdist==3


gen 	reg = 1 if rega|regb|rege 
replace reg = 2 if regc|regf|regg
replace reg = 3 if regd
replace reg = 4 if rega == 0 & regb == 0 & regc == 0 & regd == 0 & rege == 0 & regf == 0 & regg == 0

***************
*  SC Coding  *
***************
replace caste_clean = caste if caste_clean==""
gen sc76=0


*AGER
*BAKAD, BANT
*BAWA-DEDH, DEDH SADHU
replace sc76=1 if caste_clean=="BAWA" & regc
* BHAMBI,  BHAMBHI, ASADARU, ASODI, CHAMADIA, CHAMAR, CHAMBHAR, CHAMGAR, HARALAYYA, HARALI, KHALPA, 
*MACHIGAR, MOCHIGAR, MADAR, MADIG, MOCHI, NALIA, TELEGU, MOCHI, KAMATI MOCHI, RANIGAR, ROHIDAS, ROHIT, SAMGAR
replace sc76=1 if caste_clean=="CHAMAR" & (rega|regb|regc|regd)
*BHANGI, MEHTAR, OLGANA, RUKHI, MALKANA, HALAKHOr, LALBEGI, BALMIKI, KORAR, ZADMALLI
replace sc76=1 if caste_clean=="BHANGI" & (rega|regc|regd)
*CHALVADI, CHANNAYYA
*CHENNA DASAR, HOLAYA DASAR
*DANGASHIA 
replace sc76=1 if caste_clean=="DANGASHIA" & (regc)
*DHOR, KAKKAYYA, KANKAYYA
*GARMATANG
*GARODA, GARO
*HALLEER
*HALSAR, HASLAR, HULASWAR, HALASVAR
*HOLAR, VALHAR
*HOLAYA HOLER
*LINGADER
*MAHAR, TARAl, DHEGU MEGU (considered as synonyms of DHER)
replace sc76=1 if caste_clean=="DHER" & (rega)
*MAHYAVANSHI, DHED, DHEDH, VANKAR, MARU VANKAR, ANTYAJ
replace sc76=1 if caste_clean=="MAHYAVANSHI" & (rega|regc)
*MANG, MATANG, MINIMADIG
*MANG GARUDI
*MAGHVAL, MEGHWAL, MENGHVAR
replace sc76=1 if caste_clean=="MEGHWAR" & (rega|regc|regd)
*MUKRI
*NADIA, HADI
replace sc76=1 if caste_clean=="NADIA" & (rega|regc)
*PASI
*SENVA, SHENVA, CHENVA, SEDMA, RAWAT
replace caste_clean = "RAWAT" if caste_clean == "SENVA"
replace sc76=1 if caste_clean=="RAWAT" & (rega|regc)
*SHEMALIA
*THORI
*TIRGAR, TIRBANDA
*TURI

gen sc77=0
foreach X in BAWA BHAMBI BHANGI DANGASHIA MAHAR MAHYAVANSHI MAGHVAL NADIA THORI RAWAT {
	replace sc77=1 if sc76==0 & caste_clean=="`X'"
}

drop SRNo Code Doubtful master31_Guilhem Source Generic Typo Note Code_dhs1 Code2 Religion coded_1931 dhs1_coded dhs1_guilhem 
saveold "$output\gujarat_arra.dta",replace
