use "$data\IAPR42FL_clean.DTA",clear

*********************
*keeping only Himachal Pradesh
keep if hv024==8


***************
*pre 76 areas


*Region A : 
gen rega=0
*CHAMBA
replace rega=1 if sdist==1
*MANDI
replace rega=1 if sdist==6
*BILASPUR
replace rega=1 if sdist==5
*MAHASU is merged with SIMLA (from region B...) in 1981
replace rega=1 if sdist==9
*SIRMAUR
replace rega=1 if sdist==11
*KINNAUR is NOT in the dataset
*replace rega=1 if sdist==


*Region B
gen regb=0
*KANGRA
*Una  and Harmipur parted from Kangra in 1981
replace regb=1 if sdist==2|sdist==4|sdist==3
*KULU
replace regb=1 if sdist==7
*LAHUL & SPITI
replace regb=1 if sdist==8
*SIMLA
*Solan parted from Simla in 1981
replace regb=1 if sdist==9|sdist==10

*REgion C : Lahul and Spiti
gen regc=0
replace regc=1 if sdist==8


gen 	reg =1 if rega
replace reg =2 if regb|regc
replace reg = 3 if rega == 0 & regb == 0 & regc == 0

***************
*SC Coding
replace caste_clean = caste if caste_clean==""
gen sc76=0
gen sc77=0


*Ad Dharmi
*Badhi, Nagalu
*Balmiki, Bhangi, Chuhra, Chura, Chuhre
replace sc76=1 if caste_clean=="BHANGI" & (rega|regb)
*Bandhela
*Bangali
*Banjara
replace sc76=1 if caste_clean=="BANJARA" & (rega)
*Bansi
*Barad
replace sc76=1 if caste_clean=="BARAD" & rega
*Barar, Burar, Berar
*Batwal
replace sc76=1 if caste_clean=="BATWAL" & (rega|regb)
*Bauria, Bawaria
*Bazigar
*Bhanjra, Bhanjre
*Chamar, caste_cleana Chamar, Rehgar, Raigar, Ramdasi, Ravidasi, Ramdasia, Mochi
replace sc76=1 if caste_clean=="CHAMAR" & (rega|regb)
*Chimbe, Dhobi
replace sc76=1 if caste_clean=="DHOBI" & (rega)
*Dagi
*Darain
*Darai, Darya
replace sc76=1 if caste_clean=="DARAI" & rega
*Daule, Deole
*Dhaki, Toori
replace sc76=1 if caste_clean=="TURI" & rega
*Dhanak
*Dhaogri, Dhuai
*Dhogri, Dhangri, Siggi
replace sc76=1 if caste_clean=="DHOGRI" & regb
*Doom, Doomna, Dumna, Dumne, Mahasha
replace caste_clean = "DOM" if caste_clean == "MAHASHA"
replace sc76=1 if caste_clean=="DOM" & (rega|regb)
*Gagra
*Gandhila, Gandil, Gondola
*Hali
replace sc76=1 if caste_clean=="HALI" & rega
*Hesi
*Jogi
replace sc76=1 if caste_clean=="JOGI" & rega
*Julaha, Julahe, Kabirpanthi
replace sc76=1 if caste_clean=="JULAHA" & (rega|regb)
*Kamoh, Dagoli
*Karoack
*Khatik
*Kori, Koli
replace sc76=1 if caste_clean=="KOLI" & (rega|regb)
*Lohar
replace sc76=1 if caste_clean=="LOHAR" & rega
*Marija, Marecha 
*Mazhabi
replace sc76=1 if caste_clean=="MAJHABI" & & (rega|regb)
*Megh
replace sc76=1 if caste_clean=="MEG" & (rega|regb)
*Nat
*Od
*Pasi
*Perna
*Phrera, Pherera
*Rehar, Rehara
replace sc76=1 if caste_clean=="REHAR" & rega
*Sanhai
*Sanhal
*Sansi, Bhedkut, Manesh
replace sc76=1 if caste_clean=="SANSI" & (rega|regb)
*Sansoi
*Sapela
*Sarde, Sarera, Sarare, Siryare, Sarehde
replace caste_clean="SARDE" if caste_clean == "SARARE" 
replace sc76=1 if caste_clean=="SARDE" & rega
*Sikligar
*Sipi
replace sc76=1 if caste_clean=="SIPI" & rega
*Sirkiband
*Teli
replace sc76=1 if caste_clean=="TELI" & rega
*Thathiar, Thathera

foreach X in BHANGI BANJARA BARAD BATWAL CHAMAR HALI DHOBI DARAI TURI DHOGRI MAHASHA ///
			 DOM HALI JOGI JULAHA KOLI LOHAR MEG REHAR SANSI SARARE SARDE SIPI TELI MAJHABI DOM {
replace sc77=1 if sc76==0 & caste_clean=="`X'"
}

drop SRNo Code Doubtful master31_Guilhem Source Generic Typo Note Code_dhs1 Code2 Religion coded_1931 dhs1_coded dhs1_guilhem 
saveold "$output\himachal_arra.dta",replace
