use "$data\IAPR42FL_clean.DTA",clear

***********************
*keeping only karnataka
keep if hv024==10

***************
*pre 76 areas

*Region A : 
*Districts of Bangalore, Kolar, Tumkur, Mandya, Hassan, Chikmagalur, Chitradurga, Shimoga, Bellary and Mysre
gen rega=0
*BANGALORE
replace rega=1 if sdist==1 
*BANGALORE RURAL
replace rega=1 if sdist==2 
*BELLARY
replace rega=1 if sdist==4 
*CHIKMAGALUR
replace rega=1 if sdist==7 
*CHITRADURGA
replace rega=1 if sdist==8 
*HASSAN
replace rega=1 if sdist==12 
*KOLAR
replace rega=1 if sdist==14 
*MANDYA
replace rega=1 if sdist==15 
*MYSORE
replace rega=1 if sdist==16 
*SHIMOGA
replace rega=1 if sdist==18 
*TUMKUR
replace rega=1 if sdist==19 


*Region B
*districts of Belgaum, Bijapur, Dharwar & Kanara
gen regb=0
*BELGAUM
replace regb=1 if sdist==3 
*BIJAPUR
replace regb=1 if sdist==6 
*DHARWAD
replace regb=1 if sdist==10 
*UTTAR KANNAD (corresponds to North Kanara, which is what was meant by "Kanara" in the list)
replace regb=1 if sdist==20 

*Region C
*districts of Gulbarga, Bidar and Raichur
gen regc=0
*BIDAR
replace regc=1 if sdist==5 
*GULBARGA
replace regc=1 if sdist==11 
*RAICHUR
replace regc=1 if sdist==17 

*Region D
*South Kanara
gen regd=0
*DAKSHIN KANNAD (partitioned from South Kanara)
*UDUPI not in the data
replace regd=1 if sdist==9 

*Region G
*Coorg
gen regg=0
*KODAGU (new name of the Coorg district)
replace regg=1 if sdist==13 

gen reg     = 1 if rega
replace reg = 2 if regb
replace reg = 3 if regc
replace reg = 4 if regd
replace reg = 5 if regg
replace reg = 6 if rega == 0 & regb == 0 & regc == 0 & regd == 0 & regg == 0




**************
*SC regional coding


replace caste_clean = caste if caste_clean==""

gen sc76=0
gen sc77=0

*ADI ANDHRA
replace sc76=1 if caste_clean=="ADI ANDHRA" & (rega|regd)
*ADI DRAVIDA
replace sc76=1 if caste_clean=="ADI DRAVIDA" & (rega|regd|regg)
*ADI KARNATAKA
replace sc76=1 if caste_clean=="ADI KARNATAKA" & (rega|regd|regg)
*ADIYA
replace sc76=1 if caste_clean=="ADIYA" & regg
*Ager
*Ajila
*Anamuk
*Aray Mala
*Arunthathiyar
*Arwa Mala
*Baira
*Bakad
*Bant
*Bakuda
*Balagai
*Bandi
replace sc76=1 if caste_clean=="BANDI" & regd
*BANJARA/LAMBANI
replace sc76=1 if caste_clean=="BANJARA" & rega
*Bathada
*BEDA JANGAM, Budga Jangam
replace sc76=1 if caste_clean=="BEDA JANGAM" & regc
*Bellara
*Bhangi, Mehtar, Olgana, Rukhi, Mlkana, Halakhor, Lalbegi, Balmiki, Korar, Zadmalli
*Bhambi, Bhambhi, Asadaru, Asodi, Chmadia, Chamar, Chambhar, Chamgar, Haralayya, Harali, Khalpa, MAchigar, Mochigar, Madar, MAdig, Mochi, Muchi, Telegu Mochi, Kamati Mochi, Ranigar, Rohidas, Rohit, Samgar
replace sc76=1 if caste_clean=="CHAMAR" & (rega|regb|regc|regg)
*BHOVI
replace sc76=1 if caste_clean=="BHOVI" & rega
*Bindla
*Byagara
*Chakkiliyan
*Chalavadi, Chalvadi, Channayya
*Chandala
*Chenna Dasar, Holaya Dasar
replace sc76=1 if caste_clean=="CHANNA DASA" & regb
*Dakkal, Dokkalwar
*Dakkaliga
*Dhor, Kakkayya, Kankayya
*Dom, Dombara, Paidi, Pano
*Ellamalwar, Yellammalawandlu
*Ganti Chores
*Garoda, Garo
*Godda
*Gosangi
*Halleer
*Halsar, Haslar, Hulasvar, Halasvar
*Handi Jogis
*Hasla
*Holar, Valhar
*Holeya Dasari
*Jaggali
*Jambuvulu
*Kadaiyan
*Kalladi
*Kepmaris
*Kolupulvandlu
*Koosa
*Koracha
replace sc76=1 if caste_clean=="KORCHA" & rega
*Korama
replace sc76=1 if caste_clean=="KORAMA" & rega
*Kotegar, Metri
*Kudumban
*Kuravan
*Lingader
*Machala
*Madari
replace sc76=1 if caste_clean=="MADARI" & (regd)
*Madiga
replace sc76=1 if caste_clean=="MADIGA"   & (regc|regd|regg)
*Mahar, Taral, Dhegu, Megu
replace sc76=1 if caste_clean=="MAHAR" & (regb|regc)
*Mahyavanshi, Dhed, Vankar, Mahu Vankar
*Maila
*Mala
replace sc76=1 if caste_clean=="MALA" & (regc|regd)
*Mala Dasari
*Mala Hannai
*Mala Jangam
*Mala Masti
*Mala Sale, Nektani
*Mang, MAtang, Minimadig
replace sc76=1 if caste_clean=="MANG" & (regb|regc)
*Mang Garudi, Mang Garodi
*Manne
*Masthi
*Mavijan
*Meghval, Menghvar
*Moger
*Mukri
*Mundala
*Nadia, Hadi
*Nalkadaya
*Nalakeyava
*Nayadi
*Pale
*Palian
*Pambada
*Panchama
*Panniandi
*Paraiyan, Paraya
*Raneyar
*Samagara
replace sc76=1 if caste_clean=="SAMAGARA" & (regc|regd|regg)
*Samban
*Sapari
*Sillekyathas
replace sc76=1 if caste_clean=="SILLE KYATHA" & rega
*Sindhollu, Chindollu
*Sudugadu Siddha
*Thoti
*Tirgar, Tirbanda
*Valluvan

foreach X in "ADI ANDHRA" "ADI DRAVIDA" "ADI KARNATAKA" BANDI BANJARA "BEDA JANGAM" CHAMAR BHOVI  ///
			 "CHANNA DASA" HASALRU KORCHA KORAMA MADARI MADIGA MAHAR MALA MANG  SAMAGARA "SILLE KYATHA"{
	replace sc77=1 if sc76==0 & caste_clean=="`X'"
}

drop SRNo Code Doubtful master31_Guilhem Source Generic Typo Note Code_dhs1 Code2 Religion coded_1931 dhs1_coded dhs1_guilhem 
saveold "$output\karna_arra.dta",replace
