use "$data\IAPR42FL_clean.DTA",clear

*********************
*keeping only Kerala
keep if hv024==11


*Region A 
*all Kerala except Malabar district
*there is no Malabar district in  Kerala : it is the name of the district of Madras transferred to Kerala in 1956.
*It is divided in Cannanore, Palghat, Koshikode in 1951.
*Cannanore is partitionned between Cannanore and Wayanad, then renamed Kannur and partitioned with Kasaragod
*Kozhikode is partitioned with Malappuram

gen rega=1
*Kannur
replace rega=0 if sdist==2
*Wayanad
replace rega=0 if sdist==3
*Kasagarod
replace rega=0 if sdist==1
*Kozhikode
replace rega=0 if sdist==4
*Malappuram
replace rega=0 if sdist==5
*Palghat
replace rega=0 if sdist==6

gen regb=(rega==0)

gen 	reg = 1 if rega
replace reg = 2 if regb


*coding SC

gen sc76=0
gen sc77=0


*ADI DRAVIDA
replace sc76=1 if caste_clean=="ADI DRAVIDA"  & regb
*AYANAVAR
replace sc76=1 if caste_clean=="AYYANNAR"    & rega
*BARATHAR 
replace sc76=1 if caste_clean=="BARATHER"  & rega
*CHAKKILIYAN
replace caste_clean = "CHAKKILIYAN" if caste_clean == "CHAKKILIAN"
replace sc76=1 if caste_clean=="CHAKKILIYAN"   & (rega|regb)
*CHAMAR
replace sc76=1 if caste_clean=="CHAMAR"     & regb
*CHERUMAN
replace sc76=1 if caste_clean=="CHERUMAN"     & regb
*CHERAMAR, PULAYAN
replace sc76=1 if caste_clean=="CHERAMAR"     & rega
*KALLADI
replace sc76=1 if caste_clean=="KALLADI"  & regb
*KANAKKAN
replace sc76=1 if caste_clean=="KANAKKAN"  & (rega|regb) 
*KURAVAN
replace sc76=1 if caste_clean=="KURAVAN"   & (rega|regb)
*MALAYAN
replace sc76=1 if caste_clean=="MALAYA"  & regb 
*MANNAN
replace sc76=1 if caste_clean=="MANNAN"  & rega
*PALLAN
replace sc76=1 if caste_clean=="PALLAN"  & (rega|regb)
*PANAN
replace sc76=1 if caste_clean=="PAN"  & (rega|regb) 
*PARAYAN, Sambava
replace sc76=1 if caste_clean=="PARAHIYA"  & (rega|regb)
*PARAVAN
replace sc76=1 if caste_clean=="PARVAN"  & (sdist!=1)
*PATHIYAN
replace sc76=1 if caste_clean=="PATHIYAN"  & rega
*PERUMANNAN
replace sc76=1 if caste_clean=="PERUMANNAN"  & rega
*THANDAN
replace sc76=1 if caste_clean=="THANDAN"  & rega
*THOTI (Mala synonym of Thoti)
replace sc76=1 if caste_clean=="MALA"  & regb
*ULLADAN (not coded as SC as Ulladan also in ST list, and all the Ulladan declare to be ST)
*VANNAN
replace sc76=1 if caste_clean=="VANNAN"  & rega
*VELAN
replace sc76=1 if caste_clean=="VELAN"  & rega
*VETTUVAN
replace sc76=1 if caste_clean=="VETTUVAN"  & rega




foreach X in "ADI DRAVIDA"  ATHATHAVIDAR AYYANNAR BARATHER CHAKKILIAN CHAKKILIYAN CHERUMAN CHERAMAR KALLADI KANAKKAN KURAVAN MANNAN PALLAN PAN ///
			 PARAHIYA PARVAN PATHIYAN PERUMANNAN THANDAN MALA  VANNAN VELAN VETTUVAN CHAMAR {
	replace sc77=1 if sc76==0 & caste_clean=="`X'"		 
}

drop SRNo Code Doubtful master31_Guilhem Source Generic Typo Note Code_dhs1 Code2 Religion coded_1931 dhs1_coded dhs1_guilhem 
saveold "$output\kerala_arra.dta", replace
