use "$data\IAPR42FL_clean.DTA",clear

*******************************
*keeping only maharasthra
keep if hv024==13

***************
*pre 76 reservation areas

*Region A : bombay and Poona division
*throuhout the state except Buldana, Akola, Amravati, Yeotmal, Wardha, Nagpur, Bhandara, Chanda, Aurangabad, Parbhani;
*Nanded, Bhir, Osmanabad, and Rajura
gen rega=0
*MUMBAI
replace rega=1 if sdist==1 
*THANE
replace rega=1 if sdist==2 
*RAIGARH (=Kolaba)
replace rega=1 if sdist==3 
*RATNAGIRI
replace rega=1 if sdist==4 
*SINDHUDURG
replace rega=1 if sdist==5 
*NASHIK
replace rega=1 if sdist==6 
*DHULE
replace rega=1 if sdist==7 
*JALGAON
replace rega=1 if sdist==8 
*AHMADNAGAR
replace rega=1 if sdist==9 
*PUNE
replace rega=1 if sdist==10 
*SATARA
replace rega=1 if sdist==11 
*SANGLI
replace rega=1 if sdist==12 
*SOLAPUR
replace rega=1 if sdist==13 
*KOLHAPUR
replace rega=1 if sdist==14 


*Region B : Aurangabad Division
*Districts of Aurangabad, Parbhani, Nanded, Rajura, Bhir and Osmanabad
gen regb=0
*AURANGABAD
replace regb=1 if sdist==15 
*JALNA (partitioned from Aurangabad)
replace regb=1 if sdist==16 
*PARBHANI
replace regb=1 if sdist==17 
*BID (partitioned from Bhir)
replace regb=1 if sdist==18 
*NANDED
replace regb=1 if sdist==19 
*LATUR (partitioned from Osmanabad)
replace regb=1 if sdist==21 
*Osmanabad not in the Data


*Region C: Nagpur Division
*Buldana, Akola, Amravati, Yeotmal, Wardha, Nagpur, Bhandara, & Chanda
gen regc=0
*BULDANA
replace regc=1 if sdist==22 
*AKOLA
replace regc=1 if sdist==23 
*AMRAVATI
replace regc=1 if sdist==24 
*YAVATMAL
replace regc=1 if sdist==25 
*WARDHA
replace regc=1 if sdist==26 
*NAGPUR
replace regc=1 if sdist==27 
*BHANDARA
replace regc=1 if sdist==28 
*CHANDRAPUR (partitioned from Chanda)
replace regc=1 if sdist==29 
*Gadchiroli (partitioned from Chanda) not in the data

*Region H  :Thana district
gen regh=0
replace regh=1 if sdist==2

*Region I: Ahmenadnagar, Kolaba, Nasik, Poona, Thana districts
gen regi=0
*AHMENADNAGAR
replace regi=1 if sdist==9
*RAIGARH (=Kolaba)
replace regi=1 if sdist==3 
*NASIK
replace regi=1 if sdist==6 
*POONA
replace rega=1 if sdist==10 
*THANA
replace regi=1 if sdist==2

* Region J: Melghat Tahsil of Amravatai district, Gadhchiroli and Sironcha tahsils of Chanda district, Kelapur and Yavatmal tahsil of Yeotmal district
gen regj=0
*AMRAVATI
replace regj=1 if sdist==24
*CHANDRAPUR (partitioned from Chanda)
replace regj=1 if sdist==29
*YEOTMAL
replace regj=1 if sdist==25

gen 	reg = 0
replace reg = 1 if rega | regh | regi
replace reg = 2 if regb
replace reg = 3 if regc | regj

**********************
*SC coding

gen sc76=0 
gen sc77=0
replace caste_clean=caste if caste_clean==""

*Ager
*Anamuk
*Aray Mala
*Arwa Mala
*Bahna, Bahana
*Bakad, Band
*Balashi, Balai
*Basor, Burud, Bansor, Basodi
replace sc76=1 if caste_clean=="BASOR" & regc
*Beda Jangam, Budga Jangam
*Bedar
replace sc76=1 if caste_clean=="BEDAR" & (sdist==22|sdist==23|sdist==24)
*Bhambi, Bhambhi, Asadaru, Asodi, Chamadia, Chamar, Chamari, Chambhar, Chamgar, Harakayya, Harali,
*Khalpa, MAchigar, Mochigar, Machigar, Madar, Madig, Mochi, Telegu MOchi, KAmati mochi, Ranigar, 
*Rohidas, Nona, Ramnami, Rohit, Samgar, Samagara, Satnami, Surjabanshi, Surjyaramnami
replace sc76=1 if caste_clean=="CHAMAR" & (rega| regb| regc)
*Bhangi, Mehtar, Olgana, Rukhi, Malkana, Halalkhor, Lalbegi, Balmiki, Korar, Zadmali
replace sc76=1 if caste_clean=="BHANGI" &( rega| regb| regc)
*Bindla
*Byagara
*Chalvadi, Channayya
*Chenna Dasar, Holaya Dasar, Holeya Dasari
*Dakkal, Dokkalwar
*Dhor, Kukkaya, Kankayya, Dohor (syn of DABGAR)
replace sc76=1 if caste_clean=="DABGAR" & (rega| regb)
*Dom, Dumnar
*Ellamalvar, Yellammalawandlu
*Ganda, Gandi
*Garoda, Garo
*Ghasi, Ghasia
replace sc76=1 if caste_clean=="GHASI" & regc 
*Halleer
*Halsar, Haslar, Hulasvar, Halasvar 
*Holar, Valhar
*Holaya, Holer, Holeya, Holiya
*Kaikadi
replace sc76=1 if caste_clean=="KAIKADI" & regc
*Katia, Patharia
*Khangar, Kanera, Mirdha
*Khatik, Chikwa, Chikvi
replace sc76=1 if caste_clean=="KHATIK" & regc
*Kolupulvandlu
*Kori
replace caste_clean = "KOLI" if caste_clean == "KORI"
replace sc76=1 if caste_clean=="KOLI"  & (sdist==24|sdist==28|sdist==22)
*Lingader
*Madgi
*Madiga
*Mahar, Mehra, Taral, Dhegu, Megu, syn: DHER					
replace sc76=1 if caste_clean=="DHER" & (rega| regb| regc)
*Mahyavanshi, Dhed, Vankar, Maru Vankar
replace caste_clean = "MAHYAVANSHI" if caste_clean == "MAYAVANSHI"
replace sc76=1 if caste_clean=="MAHYAVANSHI" & rega
*Mala
replace sc76=1 if caste_clean=="MALA" & regb
*Mala Dasari
*Mala Hannai
*Mala Jangam
*Mala Masti
*Mala Sale, Netkani
*Mala Sanyasi
*Mang, Matang, Minimadig, Dankhni, Mang, Madari, Garudi, Radhe Mang
replace sc76=1 if caste_clean=="MANG" & (rega| regb| regc)
*Mang Garodi, Mang Garudi
*Manne
*Mashti
*MEghval, Menghvar
replace caste_clean = "MEGHWAR" if caste_clean == "MEGHVAL"
replace sc76=1 if caste_clean=="MEGHWAR" & rega
*Mitha Ayyalvar
*Mukri
*Nadia, Hadi
*Pasi
replace sc76=1 if caste_clean=="PASI" & rega
*Sansi
*Shenva, Chenva, Sedma, Ravat
*Sindhollu, Chindollu
*Tirgar, Tirbanda
*Turi




foreach X in AGER BASOR BEDAR CHAMAR BHANGI DABGAR GHASI KHATIK KOLI DHER MAHYAVANSHI MALA MANG MEGHWAR PASI {
	replace sc77=1 if sc76==0 & caste_clean=="`X'"
}

drop SRNo Code Doubtful master31_Guilhem Source Generic Typo Note Code_dhs1 Code2 Religion coded_1931 dhs1_coded dhs1_guilhem 
saveold "$output\maha_arra.dta",replace

