use "$data\IAPR42FL_clean.DTA",clear

*********************
*keeping only Rajasthan
keep if hv024==20

*Region A
*throughout the state except Ajmer district, Abu Road taluka of sirohi district and Sunel Tappa of Jhalawar district
gen rega=1
replace rega=0 if sdist==11
replace rega=0 if sdist==19
replace rega=0 if sdist==27

*Region B
*Ajmer district
gen regb=(sdist==11)


*Region C
*Abu Road Taluka of Sirohi district
gen regc=(sdist==19)

*Region D
*Sunnel Tappa of Jhalawar district
gen regd=(sdist==27)

gen 	reg = 1 if rega==1
replace reg = 2 if regb==1
replace reg = 3 if regc==1
replace reg = 4 if regd==1
replace reg = 5 if rega == 0 & regb == 0 & regc == 0 & regd == 0


***************************
***  SC coding  ***
***************************
replace caste_clean=caste if caste_clean==""
gen sc76=0
gen sc77=0 



*Balai: POI SC : balai of rajasthan also cllaed meghwal or meghbansi




*Adi Dharmi: not found
*Ager
*Aheri
*Badi: not found
*Bagri
replace sc76=1 if caste_clean=="BAGRI" & (rega|regb)
*Bairwa or Berwa
replace sc76=1 if caste_clean=="BAIRWA"  & rega
*Bajgar not found
*Balai
replace sc76=1 if caste_clean=="BALAI"  & (rega|regb|regd)
*Bambhi
replace sc76=1 if caste_clean=="BAMBI"  & regb
*Bansphod not found
*Bansphor not found
replace sc76=1 if caste_clean=="BANSPHOR"    & (rega|regb)
*Baori not found
*Bargi, Vargi or Birgi not found
*Bawaria not found
*Bazigar
replace sc76=1 if caste_clean=="BAZIGAR"  & regb
*Bedia or Beria not found
*Bhand not found
*Bhangi 
replace sc76=1 if caste_clean=="BHANGI"  & (rega|regb)
*Bidakia not found
*Bola not found
*Chamar, Bhambhi, Jatav, caste_cleana, Mochi, Raidass, Raigar or Ramdasia
replace sc76=1 if caste_clean=="CHAMAR"  
*Chandal not found
*Chura not found
*Dabgar
replace sc76=1 if caste_clean=="DABGAR"  & (rega|regb)
*Dhanak
replace sc76=1 if caste_clean=="DHANAK"  & (regb|regd)
*Dhankia 
replace sc76=1 if caste_clean=="DHANKIA"  & rega
*Dhed
*Dheda not found
*Dhobi
replace sc76=1 if caste_clean=="DHOBI"  & regb
*Dholi
replace sc76=1 if caste_clean=="DHOLI"  & regb
*Dom
*Dome not found
*Gandia not found
*Garancha, Mehtar or Gancha not found
*Garo, Garura,Gurda not found
*Garoda not found
*Gancha
*Gavaria
*Godhi not found
*Jingar
replace sc76=1 if caste_clean=="JINGAR"  & rega
*Kabirpanthi not found
*Kalbelia not found
*Kamad or Kamadia
replace sc76=1 if caste_clean=="KAMAD"  & rega
*Kanjar 
replace sc76=1 if caste_clean=="KANJAR"  & (rega|regd)
*Kapadia Sansi not found
*Khangar not found
*Khatik
replace sc76=1 if caste_clean=="KHATIK"  & (rega|regb|regd)
*Koli or Kori
replace caste_clean = "KOLI" if caste_clean == "KORI"
replace sc76=1 if caste_clean=="KOLI"  & (rega|regb|regd)
*Kooch Band not found
*Koria not found
*Kuchband not found
*Kunjar not found
*Madari or Bazigar
replace sc76=1 if caste_clean=="BAZIGAR"  & rega
*Mahar
replace sc76=1 if caste_clean=="MAHAR"  & (regb|regc|regd)
*Majhabi
replace sc76=1 if caste_clean=="MAJHABI"  & rega
*Mang, Matang, Minimadig not found
*Mang Garodi, Mang Garudi not found
*Megh or Meghwal
replace caste_clean = "MEGHWAR" if caste_clean == "MEGHVAL"
replace sc76=1 if caste_clean=="MEGHWAR"  
*Mehar
replace sc76=1 if caste_clean=="MEHAR"  & rega
*Mehtar not found
*Nut
replace sc76=1 if caste_clean=="NAT"  & (rega|regb|regd)
*Pasi not found
*Rawal
replace sc76=1 if caste_clean=="RAWAL"  & (rega|regb)
*Salvi
replace sc76=1 if caste_clean=="SALAVI"  & rega
*Sansi
replace sc76=1 if caste_clean=="SANSI"  & (rega|regb|regd)
*Santia not found
*Sarbhangi not found
*Sargara
replace sc76=1 if caste_clean=="SARGARA"  & (rega|regb)
*Satia not found
*Singiwala not found
*Thori or Nayak
replace sc76=1 if caste_clean=="NAYAK"  & (rega|regb)
*Tirgar
replace sc76=1 if caste_clean=="TIRGAR"  & (rega|regb|regc)
*Valmiki
replace sc76=1 if caste_clean=="VALMIKI"  & rega


foreach X in AHERI BAGRI BAIRWA BANSPHOR BALAI BAMBI BAZIGAR CHAMAR DABGAR DHANAK DHANKIA DHOBI DHOLI JINGAR KAMAD KANJAR KHATIK /// 
			 KOLI KORI BAZIGAR MAHAR MAJHABI MEGHWAR MEHAR NAT RAWAL SALAVI SANSI SARGARA NAYAK TIRGAR VALMIKI {
		replace sc77=1 if sc76==0 & caste_clean=="`X'"	
}

drop SRNo Code Doubtful master31_Guilhem Source Generic Typo Note Code_dhs1 Code2 Religion coded_1931 dhs1_coded dhs1_guilhem 
saveold "$output\raj_arra.dta",replace
