set matsize 10000

global tt1 "cells( b(star fmt(%-9.3f)) se(fmt(%-9.3f) par( [ ] )) blank) style(fixed) starlevel ("*" 0.10 "**" 0.05 "***" 0.01) plain"	
global FE0 		  "female religiondum birthdum castedum festate*"
global FE2 		  "female religiondum birthdum 	   castedum##cohortdum 		       festate*##castedum 			   festate*##cohortdum"
global FE3 		  "female religiondum##male birthdum##male castedum##male##cohortdum festate*##male##castedum festate*##male##cohortdum"

global sampleobc "if (sc == 1 | obc == 1 | sc_somewhere == 1)"
global samplesc "if (sc77 == 1 |sc76 == 1)"

global tripledifd71  	 "sc sc77 scd71 sc77d71 "
global tripledifd65male  "sc sc77 scd65 sc77d65 scmale sc77male scd65male sc77d65male"
global tripledifd65   	 "sc sc77 scd65 sc77d65 "

global tripledifd65edu_exp2    "sc sc77 scd65 scd65edu_exp2 sc77d65 sc77d65edu_exp2 edu_exp2 scedu_exp2 sc77edu_exp2 d65edu_exp2"
global tripledifd65sc_exp2    "sc sc77 scd65 scd65sc_exp2 sc77d65 sc77d65sc_exp2 sc_exp2 scsc_exp2 sc77sc_exp2 d65sc_exp2"
global tripledifd65job2    "sc sc77 scd65 scd65job2 sc77d65 sc77d65job2 job2 scjob2 sc77job2 d65job2"

global tripledifd38d65   "sc sc77 scd38 sc77d38 scd65 sc77d65 "

global doubledifd65   "sc77 sc77d65"



								*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
								* DESCRIPTIVE STATISTICS
								*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$		

use "$output\merge_arra.dta", clear
preserve
	duplicates drop sc_exp2 edu_exp2 job2 state birth, force
	ta birth if sc_exp != .
	ta birth if edu_exp != .
	ta birth if job != .
	su sc_exp edu_exp job
restore


*Variables
foreach gender in male female {
	cap drop temp
	cap erase "$out\sum_stat_`gender'.csv"
	reghdfe education $tripledifd65 [pw = weight] $sampleobc & `gender' & birth > 1949  , a($FE0)
	gen temp = e(sample)
	est clear
	eststo sc: estpost  su education literacy primary secondary higher hindu sikh buddhist if  sc77 & temp
	eststo sc77: estpost  su education literacy primary secondary higher hindu sikh buddhist  if  sc76 & temp
	eststo obc: estpost su education literacy primary secondary higher hindu sikh buddhist  if  (sc77 == 0 & sc76 == 0) & temp
	esttab sc sc77 obc using "$out\sum_stat_`gender'.csv",  replace cells("mean (fmt(3)) sd (fmt(3))" ) 
	est clear
	drop temp

	reghdfe education $tripledifd65 [pw = weight] $sampleobc & `gender'   , a($FE0)
	gen temp = e(sample)
	est clear
	eststo sc: estpost  su education literacy primary secondary higher hindu sikh buddhist if  sc77 & temp
	eststo sc77: estpost  su education literacy primary secondary higher hindu sikh buddhist  if  sc76 & temp
	eststo obc: estpost su education literacy primary secondary higher hindu sikh buddhist  if  (sc77 == 0 & sc76 == 0) & temp
	esttab sc sc77 obc using "$out\sum_stat_`gender'_old.csv",  replace cells("mean (fmt(3)) sd (fmt(3))" ) 
	est clear
	drop temp

}

*Number of jatis used
preserve
	keep if birth > 1949
	reghdfe education $tripledifd65 [pw = weight] $sampleobc & male & birth > 1949  , a($FE0)
	gen sample_male = e(sample)
	reghdfe education $tripledifd65 [pw = weight] $sampleobc & female & birth > 1949  , a($FE0)
	gen sample_female = e(sample)
	keep if sample_male | sample_female
	duplicates drop caste_clean sample_male sample_female sc76 sc77 obc sc_somewhere, force
	count if sc76 == 1 & sample_male
	count if sc77 == 1 &  sample_male
	count if sc76 == 0 & sc77 == 0 & sample_male
	count if sc76 == 1 &  sample_female
	count if sc77 == 1 &  sample_female
	count if sc76 == 0 & sc77 == 0 &  sample_female
	collapse (sum) sc sc76 sc77 sc_somewhere obc, by(caste_clean)
	count if sc76
	count if sc77
	count if sc_somewhere
	count if obc
	collapse (sum) sc, by(caste_clean)
	count if sc
	count if sc==0
restore


				*********************************	
				*			POST 1950
				**********************************


* Graph : triple dif point estimates
*------------------------------------	
drop  *coh_1_1938 *coh_1_1941 *coh_1_1944 *coh_1_1947 *coh_1_1950 

		estimates clear
		reghdfe education  _IscXcoh_1* _Isc7Xcoh_1*  sc sc77 [pw = weight] $sampleobc & male & birth > 1949  , absorb($FE2bis) vce(cluster casteid regiondum)  
		estimates store male3d
		coefplot (male3d, keep(_IscXcoh_1*)), legend(label(2 "SC*Cohort") ) yline(0) vertical coeflabels(,angle(90)) ytitle("Education level", orientation(vertical)) xtitle("Birth cohort") ylabel(-1.5 (0.5) 2, angle(horizontal))
		graph export "$out/triple50_malesc_plot_education.png", as(png) replace
		coefplot (male3d, keep(_Isc7Xcoh_1*) msymbol(X)), legend(label(2 "Late SC*Cohort") ) yline(0) vertical coeflabels(,angle(90))  ytitle("Education level", orientation(vertical)) xtitle("Birth cohort") ylabel(-1.5 (0.5) 2, angle(horizontal))
		graph export "$out/triple50_malesc77_plot_education.png", as(png) replace

		reghdfe education _IscXcoh_1* _Isc7Xcoh_1* sc sc77 [pw = weight] $sampleobc & female & birth > 1949 , absorb($FE2) vce(cluster casteid regiondum)  
		estimates store female3d
		coefplot (female3d, keep(_IscXcoh_1* )), legend(label(2 "SC*Cohort") ) yline(0)  vertical coeflabels(,angle(90))  ytitle("Education level", orientation(vertical)) xtitle("Birth cohort") ylabel(-1.5 (0.5) 2, angle(horizontal))
		graph export "$out/triple50_femalesc_plot_education.png", as(png) replace
		coefplot (female3d, keep(_Isc7Xcoh_1*) msymbol(X)), legend( label(2 "Late SC*Cohort") ) yline(0)  vertical coeflabels(,angle(90))  ytitle("Education level", orientation(vertical)) xtitle("Birth cohort") ylabel(-1.5 (0.5) 2, angle(horizontal))
		graph export "$out/triple50_femalesc77_plot_education.png", as(png) replace

		reghdfe education  _IscXcoh_1* _Isc7Xcoh_1* sc sc77 [pw = weight] $sampleobc & birth > 1949  , absorb($FE2) vce(cluster casteid regiondum)  
		estimates store all3d
		coefplot (all3d, keep(_IscXcoh_1* )), legend(label(2 "SC*Cohort") ) yline(0)  vertical coeflabels(,angle(90))  ytitle("Education level", orientation(vertical)) xtitle("Birth cohort") ylabel(-1.5 (0.5) 2, angle(horizontal))
		graph export "$out/triple50_allsc_plot_education.png", as(png) replace
		coefplot (all3d, keep(_Isc7Xcoh_1*) msymbol(X)), legend(label(2 "Late SC*Cohort") ) yline(0)  vertical coeflabels(,angle(90))  ytitle("Education level", orientation(vertical)) xtitle("Birth cohort") ylabel(-1.5 (0.5) 2, angle(horizontal))
		graph export "$out/triple50_allsc77_plot_education.png", as(png) replace


foreach lhs in  literacy primary secondary higher {
		estimates clear
		reghdfe `lhs'  _IscXcoh_1* _Isc7Xcoh_1*  sc sc77 [pw = weight] $sampleobc & male & birth > 1949  , absorb($FE2bis) vce(cluster casteid regiondum)  
		estimates store male3d
		coefplot (male3d, keep(_IscXcoh_1*)), legend(label(2 "SC*Cohort") ) yline(0) vertical coeflabels(,angle(90)) ytitle("`lhs'", orientation(vertical)) xtitle("Birth cohort") ylabel(-1 (1) 1, angle(horizontal))
		graph export "$out/triple50_malesc_plot_`lhs'.png", as(png) replace
		coefplot (male3d, keep(_Isc7Xcoh_1*) msymbol(X)), legend(label(2 "Late SC*Cohort") ) yline(0) vertical coeflabels(,angle(90))  ytitle("`lhs'", orientation(vertical)) xtitle("Birth cohort") ylabel(-1 (1) 1, angle(horizontal))
		graph export "$out/triple50_malesc77_plot_`lhs'.png", as(png) replace

		reghdfe `lhs' _IscXcoh_1* _Isc7Xcoh_1* sc sc77 [pw = weight] $sampleobc & female & birth > 1949 , absorb($FE2) vce(cluster casteid regiondum)  
		estimates store female3d
		coefplot (female3d, keep(_IscXcoh_1* )), legend(label(2 "SC*Cohort") ) yline(0)  vertical coeflabels(,angle(90))  ytitle("`lhs'", orientation(vertical)) xtitle("Birth cohort") ylabel(-1 (1) 1, angle(horizontal))
		graph export "$out/triple50_femalesc_plot_`lhs'.png", as(png) replace
		coefplot (female3d, keep(_Isc7Xcoh_1*) msymbol(X)), legend( label(2 "Late SC*Cohort") ) yline(0)  vertical coeflabels(,angle(90))  ytitle("`lhs'", orientation(vertical)) xtitle("Birth cohort") ylabel(-1 (1) 1, angle(horizontal))
		graph export "$out/triple50_femalesc77_plot_`lhs'.png", as(png) replace

		reghdfe `lhs'  _IscXcoh_1* _Isc7Xcoh_1* sc sc77 [pw = weight] $sampleobc & birth > 1949  , absorb($FE2) vce(cluster casteid regiondum)  
		estimates store all3d
		coefplot (all3d, keep(_IscXcoh_1* )), legend(label(2 "SC*Cohort") ) yline(0)  vertical coeflabels(,angle(90))  ytitle("`lhs'", orientation(vertical)) xtitle("Birth cohort") ylabel(-1 (1) 1, angle(horizontal))
		graph export "$out/triple50_allsc_plot_`lhs'.png", as(png) replace
		coefplot (all3d, keep(_Isc7Xcoh_1*) msymbol(X)), legend(label(2 "Late SC*Cohort") ) yline(0)  vertical coeflabels(,angle(90))  ytitle("`lhs'", orientation(vertical)) xtitle("Birth cohort") ylabel(-1 (1) 1, angle(horizontal))
		graph export "$out/triple50_allsc77_plot_`lhs'.png", as(png) replace
}

	* Graph : double dif point estimates
	*-------------------------------	
	estimates clear
		reghdfe education _Isc7Xcoh_1* sc77 [pw = weight] $samplesc & male & birth > 1949   , absorb($FE2) vce(cluster casteid regiondum)  
		estimates store male2d
		coefplot male2d, keep(_Isc7Xcoh_1*)  msymbol(X) legend(label(2 "Late SC*Cohort") ) yline(0)  vertical coeflabels(,angle(90))  ytitle("Education level", orientation(vertical)) xtitle("Birth cohort") ylabel(-1.5 (0.5) 2, angle(horizontal))
		graph export "$out/double50_male_plot.png", as(png) replace
		
		reghdfe education _Isc7Xcoh_1* sc77  [pw = weight] $samplesc & female & birth > 1949 , absorb($FE2) vce(cluster casteid regiondum)  
		estimates store female2d
		coefplot female2d, keep(_Isc7Xcoh_1*)  msymbol(X) legend(label(2 "Late SC*Cohort") ) yline(0) vertical coeflabels(,angle(90))  ytitle("Education level", orientation(vertical)) xtitle("Birth cohort") ylabel(-1.5 (0.5) 2, angle(horizontal))
		graph export "$out/double50_female_plot.png", as(png) replace

		reghdfe education _Isc7Xcoh_1* sc77 [pw = weight] $samplesc & birth > 1949  , absorb($FE2) vce(cluster casteid regiondum)  
		estimates store all2d
		coefplot all2d, keep(_Isc7Xcoh_1*)  msymbol(X) legend(label(2 "Late SC*Cohort") ) yline(0) vertical coeflabels(,angle(90))  ytitle("Education level", orientation(vertical)) xtitle("Birth cohort") ylabel(-1.5 (0.5) 2, angle(horizontal))
		graph export "$out/double50_all_plot.png", as(png) replace
			
		


								*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
								* 			Double DIF
								*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$		
	
		foreach gender in male female bothsex {	
			est clear
			cap erase "$out\education_doubledif50_`gender'.csv"
			quietly {
				foreach lhs in education literacy primary secondary higher {
					eststo: reghdfe `lhs' $doubledifd65 [pw = weight] $samplesc & `gender' & birth > 1949  , a($FE0) vce(cluster casteid regiondum)  
				}
			}
			esttab  using "$out\education_doubledif50_`gender'.csv", append  $tt1 ///
					keep(sc77 sc77d*) stats(N)
			est clear
			quietly {
				foreach lhs in education literacy primary secondary higher {
					eststo: reghdfe `lhs' $doubledifd65 [pw = weight] $samplesc & `gender' & birth > 1949  , a($FE2) vce(cluster casteid regiondum)  
				}
			}
			esttab  using "$out\education_doubledif50_`gender'.csv", append  $tt1 ///
					keep(sc77d*) stats(N)
		}
	

								*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
								* 			TRIPLE DIF
								*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$		
	
	foreach gender in male female {	
		est clear
		cap erase "$out\education_tripledif50_`gender'.csv"
		quietly {
			foreach lhs in education literacy primary secondary higher {
				eststo: reghdfe `lhs' $tripledifd65 [pw = weight] $sampleobc & `gender' & birth > 1949  , a($FE0) vce(cluster casteid regiondum)  
			}
		}
		esttab  using "$out\education_tripledif50_`gender'.csv", append  $tt1 ///
			keep(sc sc77 scd* sc77d*) stats(N)
		est clear
		quietly {
			foreach lhs in education literacy primary secondary higher {
				eststo: reghdfe `lhs' $tripledifd65 [pw = weight] $sampleobc & `gender' & birth > 1949  , a($FE2) vce(cluster casteid regiondum)  
			}
		}
		esttab  using "$out\education_tripledif50_`gender'.csv", append  $tt1 ///
			keep(scd* sc77d*) stats(N)
	}
	

*Testing gender difference
est clear
		cap erase "$out\education_tripledif50_genderdif.csv"
		quietly {
			foreach lhs in education literacy primary secondary higher {
				eststo: reghdfe `lhs' $tripledifd65male [pw = weight] $sampleobc  & birth > 1949  , a($FE3) vce(cluster castegenderdum regiongenderdum)  
			}
		}
		esttab  using "$out\education_tripledif50_genderdif.csv", append  $tt1 ///
			keep(scd* sc77d*) stats(N)

								*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
								*		 Heterogenous effects
								*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$		

foreach gender in male female {	
		est clear
		cap erase "$out\education_tripledif_`gender'_hetero2.csv"
		foreach lhs in education {
			eststo:  reghdfe  `lhs'  $tripledifd65job2 [pw = weight] $sampleobc & `gender' & birth > 1949, a($FE2) vce(cluster casteid regiondum)  
			eststo:  reghdfe  `lhs'  $tripledifd65edu_exp2 [pw = weight] $sampleobc & `gender' & birth > 1949, a($FE2) vce(cluster casteid regiondum)  	
			eststo:  reghdfe  `lhs'  $tripledifd65sc_exp2 [pw = weight] $sampleobc & `gender' & birth > 1949, a($FE2) vce(cluster casteid regiondum)  
		}
		esttab  using "$out\education_tripledif_`gender'_hetero2.csv", append  $tt1 ///
		keep(scd* sc77d65 sc77d*) stats(N)
	}



 								*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
								* 		ROBUSTNESS CHECKS
								*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$		

* Including 1950 experiment
*--------------------------

		est clear
		cap erase "$out\education_tripledif30_65.csv"
		quietly {
			foreach lhs in education literacy primary secondary higher {
				eststo: reghdfe `lhs' $tripledifd38d65  [pw = weight] $sampleobc & male , a($FE2) vce(cluster casteid regiondum)  
			}
		}
		esttab  using "$out\education_tripledif30_65.csv", append  $tt1 ///
			keep(scd* sc77d*) stats(N)	
		est clear
		quietly {
			foreach lhs in education literacy primary secondary higher {
				eststo: reghdfe `lhs' $tripledifd38d65  [pw = weight] $sampleobc & female , a($FE2) vce(cluster casteid regiondum)  
			}
		}
		esttab  using "$out\education_tripledif30_65.csv", append  $tt1 ///
			keep(scd* sc77d*) stats(N)
	


*Different threshold
*-------------------

		est clear
		cap erase "$out\education_tripledif50_threshold71.csv"
		quietly {
			foreach lhs in education literacy primary secondary higher {
				eststo: reghdfe `lhs' $tripledifd71 [pw = weight] $sampleobc & male & birth > 1949  , a($FE2) vce(cluster casteid regiondum)  
			}
		}
		esttab  using "$out\education_tripledif50_threshold71.csv", append  $tt1 ///
			keep(scd* sc77d*) stats(N)
		
		est clear
		quietly {
			foreach lhs in education literacy primary secondary higher {
				eststo: reghdfe `lhs' $tripledifd71 [pw = weight] $sampleobc & female & birth > 1949  , a($FE2) vce(cluster casteid regiondum)  
			}
		}
		esttab  using "$out\education_tripledif50_threshold71.csv", append  $tt1 ///
			keep(scd* sc77d*) stats(N)

		est clear
		cap erase "$out\education_tripledif50_threshold6571.csv"
		quietly {
			foreach lhs in education literacy primary secondary higher {
				eststo: reghdfe `lhs' $tripledifd65d71 [pw = weight] $sampleobc & male & birth > 1949  , a($FE2) vce(cluster casteid regiondum)  
			}
		}
		esttab  using "$out\education_tripledif50_threshold6571.csv", append  $tt1 ///
			keep( scd* sc77d*) stats(N)
		
		est clear
		quietly {
			foreach lhs in education literacy primary secondary higher {
				eststo: reghdfe `lhs' $tripledifd65d71 [pw = weight] $sampleobc & female & birth > 1949  , a($FE2) vce(cluster casteid regiondum)  
			}
		}
		esttab  using "$out\education_tripledif50_threshold6571.csv", append  $tt1 ///
			keep( scd* sc77d*) stats(N)


*Graphic: Migration
*-------------------

*Males
*Maximum Number of migrants (based of 6.14% migration for males and 11.14% for females, and 7.5% identity manipulation)
*Total male SC 77: 923, so maximum miscoded due :923*0.075/(1-0.075)=75
*Total male Early SC: 9333 -> 9333*0.075/(1-0.075)=758
*Total female SC 77: 909, so maximum miscoded: 909*0.1114/(1-0.1114)=114
*Total female early SC: 9273 ->9273*0.1114/(1-0.1114)= 1163
* this program  going from 0 to 100% of migrant
* moves those that are above of below the 50th percentile of education of SC77s in the relevant age groups

* bootstrapping of 1000 draws of 33, 66 and 100% of migrants/manipulators miscoded
* Identifying male likely to change the 1950 or 1976 experiment

su education if sc76 & d65 == 0 & male & birth > 1949,d
*median: 2
su education if sc76 & d65 == 1 & male & birth > 1949, d
*median: 3

su education if sc77 & d65 == 0 & male & birth > 1949,d
*median: 2
su education if sc77 & d65 == 1 & male & birth > 1949,d
*median: 3

* Identifying female likely to change the 1950 or 1976 experiment

su education if sc76 & d65 == 0 & female & birth > 1949,d
*median: 0
su education if sc76 & d65 == 1 & female & birth > 1949,d
*median: 0

su education if sc77 & d65 == 0 & female & birth > 1949,d
*median: 0
su education if sc77 & d65 == 1 & female & birth > 1949,d
*median: 0
foreach i in 33 66 100 {
	foreach gender in male female {
		gen `gender'_B`i' = .
		gen `gender'_sd`i' = .
		gen `gender'_ci_up`i' = .
		gen `gender'_ci_down`i' = .
	}
}

reghdfe education $tripledifd65 [pw = weight] $sampleobc & male & birth > 1949, a($FE2) vce(cluster casteid regiondum)  
gen male_B0 = _b[sc77d65] in 1
gen male_sd0 = _se[sc77d65] in 1
gen male_ci_up0 = _b[sc77d65] + invttail(e(df_r),0.025)*_se[sc77d65] in 1
gen male_ci_down0 = _b[sc77d65] - invttail(e(df_r),0.025)*_se[sc77d65] in 1

gen     marked_late = 1  $sampleobc & sc77 == 0 & d65 == 0 & education >= 2 & male 
replace marked_late = 1  $sampleobc & sc77 == 0 & d65 == 1 & education <= 3 & male 
replace marked_late = 0 if marked_late == .

gen temp_sc77 = sc77
gen temp_sc = sc
gen temp_obc = obc	
gen temp_sc_som = sc_somewhere

foreach i in 33 66 100 {
	local j = 1
	while `j' < 1001 {
		display `i' `j' "male"
		quietly { 
			set seed `j'
			gen temp = runiform() if marked_late
			so temp			
			gen changed = _n <= (`i'/100)*75
			replace sc77 = 1    if _n <= (`i'/100)*75 & temp_sc77 == 0
			replace sc77d65 = 1 if _n <= (`i'/100)*75 & d65 == 1 & temp_sc77 == 0		
			replace sc = 1    if _n <= (`i'/100)*75 & temp_sc == 0
			replace scd65 = 1 if _n <= (`i'/100)*75 & d65 == 1 & temp_sc == 0 					
			replace obc = 0  if _n <= (`i'/100)*75 & temp_obc	
			replace sc_somewhere = 0 if _n <= (`i'/100)*75 & temp_sc_som 
			drop temp

			reghdfe education $tripledifd65 [pw = weight] $sampleobc & male & birth > 1949, a($FE2) vce(cluster casteid regiondum)  
			*matrix B = (B\_b[sc77d65], 0, `i')			
			replace male_B`i' = _b[sc77d65] in `j'
			replace male_sd`i' = _se[sc77d65] in `j'
			replace male_ci_up`i' = _b[sc77d65] + invttail(e(df_r),0.025)*_se[sc77d65] in `j'
			replace male_ci_down`i' = _b[sc77d65] - invttail(e(df_r),0.025)*_se[sc77d65] in `j'
			replace sc77 = temp_sc77
			replace sc = temp_sc
			replace obc = temp_obc
			replace sc_somewhere = temp_sc_som
			replace sc77d65 = temp_sc77 * d65 				
			replace scd65 = temp_sc * d65
			drop changed
			local j = `j' + 1
		}
	}
}

drop  marked* temp*
preserve
	keep male_*
	duplicates drop
	save "$output/coefs_male", replace
		foreach X in 33 66 100 {
			egen mean`X' = mean(male_B`X')
			count if male_B`X' != .
			gen temp`X' = r(N)
			count if  male_B`X' < 0 &  male_B`X' != .
			gen sh_neg`X' = r(N)/temp`X'*100
			drop temp`X'
			count if male_ci_down`X' != .
			gen temp`X' = r(N)
			count if male_ci_down`X' < 0 & male_ci_down`X' != .
			gen sh`X' = r(N)/temp`X'*100
			drop temp`X'
		}
		keep male_B* mean* sh* male_ci_down*
		duplicates drop
		twoway(kdensity male_B33, lcolor(black)) (kdensity male_B66, lcolor(black) lpattern(-)) (kdensity male_B100, lcolor(black) lpattern(_)), ///
		legend(label (1 "33% reallocated") label (2 "66% reallocated") label (3 "100% reallocated")) xline(0) xlabel(-0.5(.5)1) xtitle("Coef. on Late SC * Post 1965")
		graph export "$out/manipulation_male_coef.png", as(png) replace
		twoway(kdensity male_ci_down33, lcolor(black))(kdensity male_ci_down66, lcolor(black) lpattern(-))(kdensity male_ci_down100, lcolor(black) lpattern(_)), ///
		legend(label (1 "33% reallocated") label (2 "66% reallocated") label (3 "100% reallocated")) xline(0) xlabel(-0.5(.5)1) xtitle("Lower bound of 95% CI of coef. on Late SC * Post 1965")
		graph export "$out/manipulation_male_ci.png", as(png) replace

	restore

*Females
gen temp_sc77 = sc77
gen temp_sc = sc
gen temp_obc = obc	
gen temp_sc_som = sc_somewhere


reghdfe education $tripledifd65 [pw = weight]  $sampleobc & female & birth > 1949, a($FE2) vce(cluster casteid regiondum)  
gen female_B0 = _b[sc77d65] in 1
gen female_sd0 = _se[sc77d65] in 1
gen female_ci_up0 = _b[sc77d65] + invttail(e(df_r),0.025)*_se[sc77d65] in 1
gen female_ci_down0 = _b[sc77d65] - invttail(e(df_r),0.025)*_se[sc77d65] in 1

gen     marked_late = 1 $sampleobc & sc77 == 0 & d65 == 0 & education == 0 & female
replace marked_late = 1 $sampleobc & sc77 == 0 & d65 == 1 & education >= 0 & female
replace marked_late = 0 if marked == .


foreach i in 33 66 100 {
	local j = 1
	while `j' < 1001 {
		display `i' `j' "female"
		quietly { 
			set seed `j'
			gen temp = runiform() if marked_late
			so temp			
			replace sc77 = 1    if _n <= (`i'/100)*114 & temp_sc77 == 0
			replace sc77d65 = 1 if _n <= (`i'/100)*114 & d65 == 1 & temp_sc77 == 0
			replace sc = 1    if _n <= (`i'/100)*114 & temp_sc == 0
			replace scd65 = 1 if _n <= (`i'/100)*114 & d65 == 1 & temp_sc == 0	
			replace obc = 0  if _n <= (`i'/100)*114 & temp_obc	
			replace sc_somewhere = 0 if _n <= (`i'/100)*114 & temp_sc_som	
			drop temp

			reghdfe education $tripledifd65 [pw = weight]  $sampleobc & female & birth > 1949, a($FE2) vce(cluster casteid regiondum)  
			replace female_B`i' = _b[sc77d65] in `j'
			replace female_sd`i' = _se[sc77d65] in `j'
			replace female_ci_up`i' = _b[sc77d65] + invttail(e(df_r),0.025)*_se[sc77d65] in `j'
			replace female_ci_down`i' = _b[sc77d65] - invttail(e(df_r),0.025)*_se[sc77d65] in `j'			
			replace sc77 = temp_sc77
			replace sc = temp_sc
			replace obc = temp_obc
			replace sc_somewhere = temp_sc_som
			replace sc77d65 = temp_sc77 * d65 				
			replace scd65 = temp_sc * d65

			local j = `j' + 1
		}
	}
}

drop  marked* temp*
preserve
	keep female_*
	duplicates drop
	save "$output/coefs_female", replace
	foreach X in 33 66 100 {
		egen mean`X' = mean(female_B`X')
		count if female_B`X' != .
		gen temp`X' = r(N)
		count if  female_B`X' < 0 &  female_B`X' != .
		gen sh_neg`X' = r(N)/temp`X'*100
		drop temp`X'
		count if female_ci_down`X' != .
		gen temp`X' = r(N)
		count if female_ci_down`X' < 0 & female_ci_down`X' != .
		gen sh`X' = r(N)/temp`X'*100
		drop temp`X'
	}
	keep female_B* female_ci_down* mean* sh*
	duplicates drop
	twoway(kdensity female_B33, lcolor(black)) (kdensity female_B66, lcolor(black) lpattern(-)) (kdensity female_B100, lcolor(black) lpattern(_)), ///
	legend(label (1 "33% reallocated") label (2 "66% reallocated") label (3 "100% reallocated")) xline(0) xlabel(-1(.5)0.5)  xtitle("Coef. on Late SC * Post 1965")
	graph export "$out/manipulation_female_coef.png", as(png) replace

	twoway(kdensity female_ci_down33, lcolor(black))(kdensity female_ci_down66, lcolor(black) lpattern(-))(kdensity female_ci_down100, lcolor(black) lpattern(_)), ///
	legend(label (1 "33% reallocated") label (2 "66% reallocated") label (3 "100% reallocated")) xline(0) xlabel(-1(.5)0.5) xtitle("Lower bound of 95% CI of coef. on Late SC * Post 1965")
	graph export "$out/manipulation_female_ci.png", as(png) replace

restore


				*********************************	
				*			POST 1933
				**********************************


* Graph : triple dif point estimates
*------------------------------------	
use "$output\merge_arra.dta", clear
	drop*coh_1_1935*
	estimates clear
	reghdfe education _IscXcoh_1* _Isc7Xcoh_1* sc sc77 [pw = weight] 	 $sampleobc & male  , absorb($FE2) vce(cluster casteid regiondum)  
	estimates store male3d
	coefplot (male3d, keep(_IscXcoh_1*)), legend(label(2 "SC*Cohort") ) yline(0) vertical coeflabels(,angle(90)) ylabel(-1(0.5) 1.5, angle(horizontal)) ytitle("Education level", orientation(vertical)) xtitle("Birth cohort")
	graph export "$out/triple30_malesc_plot.png", as(png) replace
	coefplot (male3d, keep(_Isc7Xcoh_1*) msymbol(X)), legend( label(2 "Late SC*Cohort") ) yline(0) vertical coeflabels(,angle(90)) ylabel(-1(0.5) 1.5, angle(horizontal)) ytitle("Education level", orientation(vertical)) xtitle("Birth cohort")
	graph export "$out/triple30_malesc77_plot.png", as(png) replace
		
	
	reghdfe education _IscXcoh_1* _Isc7Xcoh_1* sc sc77 [pw = weight] 	 $sampleobc & female, absorb($FE2) vce(cluster casteid regiondum)  
	estimates store female3d
	coefplot (female3d, keep(_IscXcoh_1*)), legend(label(2 "SC*Cohort")  ) yline(0) vertical coeflabels(,angle(90)) ylabel(-1(0.5) 1.5, angle(horizontal)) ytitle("Education level", orientation(vertical)) xtitle("Birth cohort")
	graph export "$out/triple30_femalesc_plot.png", as(png) replace
	coefplot (female3d, keep(_Isc7Xcoh_1*) msymbol(X)), legend(label(2 "Late SC*Cohort") ) yline(0) vertical coeflabels(,angle(90)) ylabel(-1(0.5) 1.5, angle(horizontal)) ytitle("Education level", orientation(vertical)) xtitle("Birth cohort")
	graph export "$out/triple30_femalesc77_plot.png", as(png) replace
	
	reghdfe education _IscXcoh_1* _Isc7Xcoh_1* sc sc77 [pw = weight] 	 $sampleobc , absorb($FE2) vce(cluster casteid regiondum)  
	estimates store all3d
	coefplot (all3d, keep(_IscXcoh_1*)), legend(label(2 "SC*Cohort")  ) yline(0) vertical coeflabels(,angle(90)) ylabel(-1(0.5) 1.5, angle(horizontal)) ytitle("Education level", orientation(vertical)) xtitle("Birth cohort")
	graph export "$out/triple30_allsc_plot.png", as(png) replace
	coefplot (all3d, keep(_Isc7Xcoh_1*) msymbol(X)), legend( label(2 "Late SC*Cohort") ) yline(0) vertical coeflabels(,angle(90)) ylabel(-1(0.5) 1.5, angle(horizontal)) ytitle("Education level", orientation(vertical)) xtitle("Birth cohort")
	graph export "$out/triple30_allsc77_plot.png", as(png) replace





	

/****************************************************************************************
****************************************************************************************
****************************************************************************************
****************************************************************************************
										ROBUSTNESS OF THE RESULTS
****************************************************************************************
****************************************************************************************
****************************************************************************************
****************************************************************************************
****************************************************************************************
**********************************************************************************************/
	
	

* Without weights
*----------------
	
		
foreach gender in male female bothsex {	
			est clear
			cap erase "$out\education_doubledif50_`gender'_noweight.csv"
			quietly {
				foreach lhs in education literacy primary secondary higher {
					eststo: reghdfe `lhs' $doubledifd65 $samplesc & `gender' & birth > 1949  , a($FE0) vce(cluster casteid regiondum)  
				}
			}
			esttab  using "$out\education_doubledif50_`gender'_noweight.csv", append  $tt1 ///
					keep(sc77 sc77d*) stats(N)
			est clear
			quietly {
				foreach lhs in education literacy primary secondary higher {
					eststo: reghdfe `lhs' $doubledifd65 $samplesc & `gender' & birth > 1949  , a($FE2) vce(cluster casteid regiondum)  
				}
			}
			esttab  using "$out\education_doubledif50_`gender'_noweight.csv", append  $tt1 ///
					keep(sc77d*) stats(N)
		}
	
	
	foreach gender in male female {	
		est clear
		cap erase "$out\education_tripledif50_`gender'_noweight.csv"
		quietly {
			foreach lhs in education literacy primary secondary higher {
				eststo: reghdfe `lhs' $tripledifd65 $sampleobc & `gender' & birth > 1949  , a($FE0) vce(cluster casteid regiondum)  
			}
		}
		esttab  using "$out\education_tripledif50_`gender'_noweight.csv", append  $tt1 ///
			keep(sc sc77 scd* sc77d*) stats(N)
		est clear
		quietly {
			foreach lhs in education literacy primary secondary higher {
				eststo: reghdfe `lhs' $tripledifd65 $sampleobc & `gender' & birth > 1949  , a($FE2) vce(cluster casteid regiondum)  
			}
		}
		esttab  using "$out\education_tripledif50_`gender'_noweight.csv", append  $tt1 ///
			keep(scd* sc77d*) stats(N)
	}

