use "$data\IAPR42FL_clean.DTA",clear

*********************
*keeping only Tamil Nadu
keep if hv024==22


***************
*pre 76 areas

*Region A: throughout the state
gen rega=1

*Region B: throughout the state except Kanyakumari district and Shecottah taluk of Tirunelveli district
gen regb	 = 0
replace regb = 1 if sdist!= 21 & sdist!=20

*Region C: Nigliris district
gen regc	 = 0
*Nilgiris
replace regc = 1 if (sdist== 9)

*Region D: Coimbatore and Salem districts
gen regd	 = 0
*Salem
replace regd = 1 if sdist== 7
*Coimbatore
replace regd = 1 if sdist== 9
*Periyar
replace regd = 1 if sdist== 8

*Region E: Kanyakumari district and Shecottah taluk of Tirunelveli district
gen rege	 = 0
*Kanyakumari
replace rege = 1 if sdist== 21
*Tirunvelveli
replace rege = 1 if sdist== 20

*Region F: in Thanjavur district
gen regf     = 0
replace regf = 1 if sdist == 13


gen 	reg = 1 if regb
replace reg = 2 if regc
replace reg = 3 if regd
replace reg = 4 if rege
replace reg = 5 if regf
replace reg = 6 if regb == 0 & regc == 0 & regd == 0 & rege== 0 & regf == 0

***************
*SC Coding
gen sc76=0
gen sc77=0

*Adi Andrah
replace sc76=1 if caste_clean=="ADI ANDRAH" & regb
replace sc76=1 if caste_clean=="ADI ANDHRA" & regb
*Adi Dravida
replace sc76=1 if caste_clean=="ADI DRAVIDA" & regb
*Adi Karnataka		
*Ajila
*Arunthathiyar
replace sc76=1 if caste_clean=="ARUNDHATIYA" & regb
*Ayyanavar
*Baira
*Bakuda
*Bandi
*Bellara
*Bharatar
*Chakkiliyan
replace sc76=1 if caste_clean=="CHAKKILIYAN" & rega
*Chalavadi
*Chamar, Muchi
replace sc76=1 if caste_clean=="CHAMAR" & regb
*Chandala
*Cheruman
*Devendrakulathan
replace sc76=1 if caste_clean=="DEVENDRAKULAM" & regb
*Dom, Dombara, Paidi, Pano
replace sc76=1 if caste_clean=="DOMBAR" & regb
*Domban
*Godagali
*Godda
*Gosangi
*Holeya
*Jaggali
*Jambuvulu
*Kadaiyan
*Kakkalan
*Kalladi
*Kanakka, Padanna
*Karimpalan
*Kavara
replace sc76=1 if caste_clean=="KAVARA" & rege
*Koliyan
*Koosa syn Kulala
replace sc76=1 if caste_clean=="KULALA" & regb
*Kootan, Koodan
*Kudumban
replace sc76=1 if caste_clean=="KUDUMBAN" & regb
*Kuravan, Sidhanar
replace sc76=1 if caste_clean=="KURAVAN" & rega
*Madari
*MAdiga
*Maila
*mala
replace sc76=1 if caste_clean=="MALA" & regb
*Mannan
*Mavilan
*Moger
*Mundala
*Nalakeyava
*Nayadi
*Padannan
*Pagadai
*Pallan
*Palluvan
*Pambada
*Panan
*Panchama
*Pannadi
replace sc76=1 if caste_clean=="PANNADI" & regd
*Panniandi
*Paraiyan, Parayan, Sambava
replace sc76=1 if caste_clean=="PARAHIA" & rega
*Paravan	
*Pathiyan
*Pulayan, Cheramar	
*Puthirai Vannan, syn Dhobi			
replace sc76=1 if caste_clean=="DHOBI" & regb
*Raneyar
*Samagara
*Samban
replace sc76=1 if caste_clean=="SAMBAN" & regb
*Sapari
*Semman
*Thandan
*Thoti
*Tiruvalluvar
*Vallon
*Valluvan
replace sc76=1 if caste_clean=="VALLUVAN" & rega
*Vannan		
replace sc76=1 if caste_clean=="VANNAN" & rege
*Vathiriyan
replace sc76=1 if caste_clean=="VATHIRIYAR" & regd
*Velan
*Vetan
*Vettiyan
*Vettuvan


foreach X in "ADI ANDRAH" "ADI ANDHRA" "ADI DRAVIDA"  ARUNDHATIYA CHAKKILIYAN DEVENDRAKULAM DOMBAR KAVARA ///
			 KULALA KUDUMBAN KURAVAN PALLAN PANNADI PARAHIA DHOBI SAMBAN VALLUVAN  VATHIRIYAR  MALA CHAMAR {
replace sc77=1 if sc76==0 & caste_clean=="`X'"
}


drop SRNo Code Doubtful master31_Guilhem Source Generic Typo Note Code_dhs1 Code2 Religion coded_1931 dhs1_coded dhs1_guilhem 
saveold "$output\tamil_arra.dta", replace
