use "$data\IAPR42FL_clean.DTA",clear

*********************
*keeping only l'andrah pradesh
keep if hv024==23

***************
*pre 76 areas

*Region A : 
*Throughout the state

gen rega=1


*Region B: throughout the state except in th Purulia district and the territories transferred from the Purnea district of Bihar (ie West Dinajpur district)
gen regb=1
replace regb=0 if (sdist==4|sdist==15)

*Region C :
*in th Purulia district and the territories transferred from the Purnea district of Bihar (ie West Dinajpur district)
gen regc=0
replace regc=1 if (sdist==4|sdist==15)


*Region D: in the territories transferred from the Purnea district of Bihar (ie West Dinajpur district)
gen regd=0
replace regd=1 if sdist==4

*Region E: throughout the state except the territories transferred from the Purnea district of Bihar
gen rege=0
replace rege=1 if regd==0


gen reg = (regb|regc|regd)

***************
*SC Coding

gen sc76=0


*BAGDI, DULEY
replace sc76=1 if caste_clean=="BAGDI" & regb
*BAHELIA
*BAITI
*BANTAR
*BAURI			
replace sc76=1 if caste_clean=="BAURI" & rega
*BELDAR
replace sc76=1 if caste_clean=="BELDAR" & regb
*BHOGTA
*BHUIMALI
replace sc76=1 if caste_clean=="BHUIMALI" & regb
*BHUIYA
replace sc76=1 if caste_clean=="BHUIYA" & regb
*BIND
*CHAMAR, CHARMAKAR, MOCHI, MUCHI, RABIDAS, RUIDAS, RISHI
replace sc76=1 if caste_clean=="CHAMAR" & rega
*CHAUPAL
*DABGAR
*DAMAI (NEpali)
*DHOBA, DHOBI
replace sc76=1 if caste_clean=="DHOBI" & rega
*DOAI
replace sc76=1 if caste_clean=="DOAI" & regb
*DOM, DHANGAD
replace sc76=1 if caste_clean=="DOM" & rega
*DOSADH, DUSADH, DHARI, DHARHI
replace sc76=1 if caste_clean=="DUSADH" 
*GHASI
replace sc76=1 if caste_clean=="GHASI" & rega
*GONRHI
replace sc76=1 if caste_clean=="GONRHI" & regb
*HALALKHOR
*HARI, MEHTAR, MEHTOR, BHANGI
replace caste_clean = "BHANGI" if caste_clean == "HARI"
replace sc76=1 if caste_clean=="HARI" & regc
*JALIA KAIBARTTA
replace sc76=1 if caste_clean=="JALIA KAIBARTTA" & regb
*JHALO MALO, MALO
replace sc76=1 if caste_clean=="MALO" & regb
*KADAR
*KAMI (Nepali)
*KANDRA
*KANJAR
*KAORA
replace sc76=1 if caste_clean=="KAORA" & regb
*KARENGA, KORANGA
*KAUR
*KEOT, KEYOT
*KHARIA
replace sc76=1 if caste_clean=="KHARYA" & regb
*KHATIK
replace sc76=1 if caste_clean=="KHATIK" & regb
*KOCH
*KONAI
replace sc76=1 if caste_clean=="KONAI" & regb
*KONWAR
*KOTAL
*KURARIAR
*LALBEGI
*LOHAR
replace sc76=1 if caste_clean=="LOHAR" & regb
*MAHAR
*MAL
replace sc76=1 if caste_clean=="MAL" & regb
*MALLAH
replace sc76=1 if caste_clean=="MALLAH" & regb
*MUSAHAR
*NAMASUDRA
replace sc76=1 if caste_clean=="NAMASUDRA" & regb
*NAT
*NUNIYA
replace sc76=1 if caste_clean=="NUNIYA" & regb
*PALIYA
replace sc76=1 if caste_clean=="PALIYA" & regb
*PAN, SAWASI
*PASI
replace sc76=1 if caste_clean=="PASI" & rega
*PATNI
replace sc76=1 if caste_clean=="PATNI" & regb
*POD, POUNDRA
replace sc76=1 if caste_clean=="POD" & regb
*RAJBANSHI
replace sc76=1 if caste_clean=="RAJBANSHI" & regb
*RAJWAR
replace sc76=1 if caste_clean=="RAJWAR" & rega
*SARKI (Nepali)
replace sc76=1 if caste_clean=="SARKI" & regb
*SUNRI (excluding SAHA)
replace sc76=1 if caste_clean=="SUNRI" & regb
*TIYAR
*TURI
replace sc76=1 if caste_clean=="TURI" & rega


gen sc77=0

foreach X in BAGDI BAURI BELDAR BHUIMALI BHUIYA CHAMAR DHOBI DOAI DOM GHASI GONRHI HARI "JALIA KAIBARTTA" MALO KAORA KHARYA KHATIK KONAI ///
			 LOHAR MAL MALLAH NAMASUDRA NUNIYA PALIYA PASI PATNI POD RAJBANSHI RAJWAR SARKI SUNRI TURI BHANGI {
			 
		replace sc77=1 if sc76==0 & caste_clean=="`X'"	
}

drop SRNo Code Doubtful master31_Guilhem Source Generic Typo Note Code_dhs1 Code2 Religion coded_1931 dhs1_coded dhs1_guilhem 
saveold "$output\westbengal_arra.dta",replace
