set matsize 10000

global tt1 "cells( b(star fmt(%-9.3f)) se(fmt(%-9.3f) par( [ ] )) blank) style(fixed) starlevel ("*" 0.10 "**" 0.05 "***" 0.01) plain"	
global FE0 		  "female religiondum birthdum castedum festate*"
global FE2 		  "female religiondum birthdum 	   castedum##cohortdum 		       festate*##castedum 			   festate*##cohortdum"
global FE3 		  "female religiondum##male birthdum##male castedum##male##cohortdum festate*##male##castedum festate*##male##cohortdum"

global sampleobc "if (sc == 1 | obc == 1 | sc_somewhere == 1)"
global samplesc "if (sc77 == 1 |sc76 == 1)"

global tripledifd71  	 "sc sc77 scd71 sc77d71 "
global tripledifd65male  "sc sc77 scd65 sc77d65 scmale sc77male scd65male sc77d65male"
global tripledifd65   	 "sc sc77 scd65 sc77d65 "

global tripledifd65edu_exp2    "sc sc77 scd65 scd65edu_exp2 sc77d65 sc77d65edu_exp2 edu_exp2 scedu_exp2 sc77edu_exp2 d65edu_exp2"
global tripledifd65sc_exp2    "sc sc77 scd65 scd65sc_exp2 sc77d65 sc77d65sc_exp2 sc_exp2 scsc_exp2 sc77sc_exp2 d65sc_exp2"
global tripledifd65job2    "sc sc77 scd65 scd65job2 sc77d65 sc77d65job2 job2 scjob2 sc77job2 d65job2"

global tripledifd38d65   "sc sc77 scd38 sc77d38 scd65 sc77d65 "

global doubledifd65   "sc77 sc77d65"




							
											*%%%%%%%%%%%%%%%%%%%%%%%%%%%%
											*  DOUBLE DIFFERENCE
											*%%%%%%%%%%%%%%%%%%%%%%%%%%%%
set seed 1
log using "$out/wildboot2", append
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%
* BOTH GENDERS, POST 1949
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%
*FE0
*Demeaning variables
*-------------------
use "$output\merge_arra.dta", clear
keep  $samplesc & birth > 1949 
quietly {
	foreach var of varlist education literacy primary secondary highersc*  d71*  {	
		reghdfe `var'  [pw = weight]  ,a($FE0) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}

estimates clear
foreach lhs in education literacy primary secondary higher{
	cgmwildboot `lhs' $doubledifd65   [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)
	eststo `lhs'
}
 


*FE2
*Demeaning variables
*---------------------
use "$output\merge_arra.dta", clear
keep  $samplesc & birth > 1949 
quietly {
	foreach var of varlist education literacy primary secondary highersc*  d65*  {	
		reghdfe `var'  [pw = weight]  ,a($FE2) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}

estimates clear
foreach lhs in education literacy primary secondary higher{
	cgmwildboot `lhs' $doubledifd65   [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)
	eststo `lhs'
}



*%%%%%%%%%%%%%%%%%%%%%%%%%%%%
* MALE, POST 1949
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%
*FE0
*Demeaning variables
*-------------------
use "$output\merge_arra.dta", clear
keep  $samplesc & birth > 1949 & male
quietly {
	foreach var of varlist education literacy primary secondary highersc*   d65*  {	
		reghdfe `var'  [pw = weight]  ,a($FE0) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}
	
estimates clear
foreach lhs in education literacy primary secondary higher{
	cgmwildboot `lhs' $doubledifd65   [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)
	eststo `lhs'
}

	


*FE2
*Demeaning variables
*-------------------
use "$output\merge_arra.dta", clear
keep  $samplesc & birth > 1949 & male
quietly {
	foreach var of varlist education literacy primary secondary highersc* d65* {	
		reghdfe `var'  [pw = weight]  ,a($FE2) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}

estimates clear
foreach lhs in education literacy primary secondary higher{
	cgmwildboot `lhs' $doubledifd65   [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)
	eststo `lhs'
}


*%%%%%%%%%%%%%%%%%%%%%%%%%%%%
* FEMALE, POST 1949
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%

*FE0
*Demeaning variables
*-------------------
use "$output\merge_arra.dta", clear
keep  $samplesc & birth > 1949 & female
quietly {
	foreach var of varlist education literacy primary secondary highersc*   d65*  {	
		reghdfe `var'  [pw = weight]  ,a($FE0) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}

estimates clear
foreach lhs in education literacy primary secondary higher{
	cgmwildboot `lhs' $doubledifd65   [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)
	eststo `lhs'
}



*FE2
*Demeaning variables
*-------------------
use "$output\merge_arra.dta", clear
keep  $samplesc & birth > 1949 & female
quietly {
	foreach var of varlist education literacy primary secondary highersc*   d65*  {	
		reghdfe `var'  [pw = weight]  ,a($FE2) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}
	
estimates clear
foreach lhs in education literacy primary secondary higher{
	cgmwildboot `lhs' $doubledifd65   [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)
	eststo `lhs'
}

	


											*%%%%%%%%%%%%%%%%%%%%%%%%%%%%
											*  TRIPLE DIFFERENCE
											*%%%%%%%%%%%%%%%%%%%%%%%%%%%%




*%%%%%%%%%%%%%%%%%%%%%%%%%%%%
* BOTH GENDERS, POST 1949
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%
*FE0
*Demeaning variables
*-------------------
use "$output\merge_arra.dta", clear
keep  $sampleobc & birth > 1949 
quietly {
	foreach var of varlist education literacy primary secondary highersc* d65* {	
		reghdfe `var'  [pw = weight]  ,a($FE0) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}

			
estimates clear
foreach lhs in education literacy primary secondary higher{
	cgmwildboot `lhs' $tripledifd65   [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)
	eststo `lhs'
}
	


*FE2
*Demeaning variables
*-------------------
use "$output\merge_arra.dta", clear
keep  $sampleobc & birth > 1949 
quietly {
	foreach var of varlist education literacy primary secondary highersc*  d65*  {	
		reghdfe `var'  [pw = weight]  ,a($FE0) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}


estimates clear
foreach lhs in education literacy primary secondary higher{
	cgmwildboot `lhs' $tripledifd65   [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)
	eststo `lhs'
}
	


*%%%%%%%%%%%%%%%%%%%%%%%%%%%%
* MALE, POST 1949
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%

*FE0
*Demeaning variables
*-------------------
use "$output\merge_arra.dta", clear
keep  $sampleobc & birth > 1949 & male
quietly {
	foreach var of varlist education literacy primary secondary highersc* d65*  {	
		reghdfe `var'  [pw = weight]  ,a($FE0) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}

			
estimates clear
foreach lhs in education literacy primary secondary higher{
	cgmwildboot `lhs' $tripledifd65   [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)
	eststo `lhs'
}


*FE2
*Demeaning variables
*-------------------
use "$output\merge_arra.dta", clear
keep  $sampleobc & birth > 1949 & male
quietly {
	foreach var of varlist education literacy primary secondary higher sc* d65* edu_exp* job*  {	
		reghdfe `var'   [pw = weight] ,a($FE2) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}

estimates clear
foreach lhs in education literacy primary secondary higher{
	cgmwildboot `lhs' $tripledifd65   [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)
	eststo `lhs'
}

estimates clear
foreach lhs in education literacy primary secondary higher{
	cgmwildboot `lhs' $tripledifd71   [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)
	eststo `lhs'
}



estimates clear
use "$output\merge_arra.dta", clear
reghdfe  education   $tripledifd65job2 [pw = weight] $sampleobc & male & birth > 1949, a($FE2) vce(cluster casteid regiondum)
keep if e(sample)
quietly {
	foreach var of varlist education  sc sc77 scd65 scd65job2 sc77d65 sc77d65job2 job2 scjob2 sc77job2 d65job2  {	
		reghdfe `var'   [pw = weight] ,a($FE2) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}
cgmwildboot education $tripledifd65job2   [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)


estimates clear
use "$output\merge_arra.dta", clear
reghdfe  education   $tripledifd65edu_exp2 [pw = weight] $sampleobc & male & birth > 1949, a($FE2) vce(cluster casteid regiondum)
keep if e(sample)
quietly {
	foreach var of varlist education  sc sc77 scd65 scd65edu_exp2 sc77d65 sc77d65edu_exp2 edu_exp2 scedu_exp2 sc77edu_exp2 d65edu_exp2  {	
		reghdfe `var'   [pw = weight] ,a($FE2) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}
cgmwildboot education $tripledifd65edu_exp2   [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)

estimates clear
use "$output\merge_arra.dta", clear
reghdfe  education   $tripledifd65sc_exp2 [pw = weight] $sampleobc & male & birth > 1949, a($FE2) vce(cluster casteid regiondum)
keep if e(sample)
quietly {
	foreach var of varlist education  sc sc77 scd65 scd65sc_exp2 sc77d65 sc77d65sc_exp2 sc_exp2 scsc_exp2 sc77sc_exp2 d65sc_exp2  {	
		reghdfe `var'   [pw = weight] ,a($FE2) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}
cgmwildboot education $tripledifd65sc_exp2   [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)






*%%%%%%%%%%%%%%%%%%%%%%%%%%%%
* FEMALE, POST 1949
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%
*FE0
*Demeaning variables
*-------------------
use "$output\merge_arra.dta", clear
keep  $sampleobc & birth > 1949 & female
quietly {
	foreach var of varlist education literacy primary secondary highersc* d65*  {	
		reghdfe `var'  [pw = weight]  ,a($FE0) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}

estimates clear
foreach lhs in education literacy primary secondary higher{
	cgmwildboot `lhs' $tripledifd65   [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)
	eststo `lhs'
}
	


*FE2
*Demeaning variables
*-------------------
use "$output\merge_arra.dta", clear
keep  $sampleobc & birth > 1949 & female
quietly {
	foreach var of varlist education literacy primary secondary highersc*  d65*  {	
		reghdfe `var'  [pw = weight]  ,a($FE2) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}

estimates clear
foreach lhs in education literacy primary secondary higher{
	cgmwildboot `lhs' $tripledifd65   [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)
	eststo `lhs'
}


use "$output\merge_arra.dta", clear
keep  $sampleobc & birth > 1949 & female
quietly {
	foreach var of varlist education literacy primary secondary highersc*   d65*  {	
		reghdfe `var'  [pw = weight]  ,a($FE2) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}

estimates clear
foreach lhs in education literacy primary secondary higher{
	cgmwildboot `lhs' $tripledifd71   [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)
	eststo `lhs'
}


set seed 1
estimates clear
use "$output\merge_arra.dta", clear
reghdfe  education   $tripledifd65job2 [pw = weight] $sampleobc & female & birth > 1949, a($FE2) vce(cluster casteid regiondum)
keep if e(sample)
quietly {
	foreach var of varlist education  sc sc77 scd65 scd65job2 sc77d65 sc77d65job2 job2 scjob2 sc77job2 d65job2  {	
		reghdfe `var'   [pw = weight] ,a($FE2) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}
cgmwildboot education $tripledifd65job2   [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)


estimates clear
use "$output\merge_arra.dta", clear
reghdfe  education   $tripledifd65edu_exp2 [pw = weight] $sampleobc & female & birth > 1949, a($FE2) vce(cluster casteid regiondum)
keep if e(sample)
quietly {
	foreach var of varlist education  sc sc77 scd65 scd65edu_exp2 sc77d65 sc77d65edu_exp2 edu_exp2 scedu_exp2 sc77edu_exp2 d65edu_exp2  {	
		reghdfe `var'   [pw = weight] ,a($FE2) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}
cgmwildboot education $tripledifd65edu_exp2  [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)

estimates clear
use "$output\merge_arra.dta", clear
reghdfe  education   $tripledifd65sc_exp2 [pw = weight] $sampleobc & female & birth > 1949, a($FE2) vce(cluster casteid regiondum)
keep if e(sample)
quietly {
	foreach var of varlist education  sc sc77 scd65 scd65sc_exp2 sc77d65 sc77d65sc_exp2 sc_exp2 scsc_exp2 sc77sc_exp2 d65sc_exp2  {	
		reghdfe `var'   [pw = weight] ,a($FE2) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}
cgmwildboot education $tripledifd65sc_exp2  [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)


*%%%%%%%%%%%%%%%%%%%%%%%%%%%%
* GENDER DIFFERENCE, POST 1949
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%

*Demeaning variables
use "$output\merge_arra.dta", clear
keep  $sampleobc & birth > 1949 
quietly {
	foreach var of varlist education literacy primary secondary highersc*  d71*  {	
		reghdfe `var'  [pw = weight]  ,a($FE3) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}

estimates clear
foreach lhs in education literacy primary secondary higher{
	cgmwildboot `lhs' $tripledifd65male   [pw = weight]  ,  cluster(castegenderdum regiongenderdum) bootcluster(regiongenderdum)  reps(1000)
	eststo `lhs'
}

	



*%%%%%%%%%%%%%%%%%%%%%%%%%%%%
* MALE, POST 1930
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%
*Demeaning variables
use "$output\merge_arra.dta", clear
keep  $sampleobc & male
quietly {
	foreach var of varlist education literacy primary secondary highersc*  d38* d65*  {	
		reghdfe `var'  [pw = weight]  ,a($FE2) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}

		
	
estimates clear
foreach lhs in education literacy primary secondary higher{
	cgmwildboot `lhs' $tripledifd38d65  [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)
	eststo `lhs'
}
	



*%%%%%%%%%%%%%%%%%%%%%%%%%%%%
* FEMALE, POST 1930
*%%%%%%%%%%%%%%%%%%%%%%%%%%%%
*Demeaning variables
use "$output\merge_arra.dta", clear
keep  $sampleobc & female
quietly {
	foreach var of varlist education literacy primary secondary highersc*  d38* d71*  {	
		reghdfe `var'  [pw = weight]  ,a($FE2) residuals(`var'_resid)	
		drop `var'
		ren `var'_resid `var'
	}
}

estimates clear
foreach lhs in education literacy primary secondary higher{
	cgmwildboot `lhs' $tripledifd38d65  [pw = weight]  ,  cluster(casteid regiondum) bootcluster(regiondum)  reps(1000)
	eststo `lhs'
}
	

log close

